Submitted By: Alexander E. Patrakov
Date: 2004-02-25
Origin: Debian
Initial Package Version: 1.4.9
Description: Add support for UTF-8 locales + other Debian fixes

--- slang-1.4.9.orig/configure
+++ slang-1.4.9/configure
@@ -1948,7 +1948,7 @@
 ELFLIB_MAJOR_MINOR="\$(ELFLIB).\$(ELF_MAJOR_VERSION).\$(ELF_MINOR_VERSION)"
 
 case "$host_os" in
-  *linux* )
+  *linux*|gnu*|k*bsd*-gnu )
     DYNAMIC_LINK_FLAGS="-Wl,-export-dynamic"
     ELF_CC="gcc"
     ELF_CFLAGS="-O2 -fno-strength-reduce -fPIC"
--- slang-1.4.9.orig/autoconf/config.sub
+++ slang-1.4.9/autoconf/config.sub
@@ -1,9 +1,9 @@
 #! /bin/sh
 # Configuration validation subroutine script.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003 Free Software Foundation, Inc.
 
-timestamp='2002-03-07'
+timestamp='2003-07-17'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -118,7 +118,7 @@
 # Here we must recognize all the valid KERNEL-OS combinations.
 maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'`
 case $maybe_os in
-  nto-qnx* | linux-gnu* | storm-chaos* | os2-emx* | windows32-* | rtmk-nova*)
+  nto-qnx* | linux-gnu* | kfreebsd*-gnu* | netbsd*-gnu* | storm-chaos* | os2-emx* | rtmk-nova*)
     os=-$maybe_os
     basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'`
     ;;
@@ -228,28 +228,41 @@
 	| a29k \
 	| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \
 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
+	| am33_2.0 \
 	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \
 	| c4x | clipper \
-	| d10v | d30v | dsp16xx \
-	| fr30 \
+	| d10v | d30v | dlx | dsp16xx \
+	| fr30 | frv \
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
+	| ip2k | iq2000 \
 	| m32r | m68000 | m68k | m88k | mcore \
-	| mips | mips16 | mips64 | mips64el | mips64orion | mips64orionel \
-	| mips64vr4100 | mips64vr4100el | mips64vr4300 \
-	| mips64vr4300el | mips64vr5000 | mips64vr5000el \
-	| mipsbe | mipseb | mipsel | mipsle | mipstx39 | mipstx39el \
-	| mipsisa32 | mipsisa64 \
+	| mips | mipsbe | mipseb | mipsel | mipsle \
+	| mips16 \
+	| mips64 | mips64el \
+	| mips64vr | mips64vrel \
+	| mips64orion | mips64orionel \
+	| mips64vr4100 | mips64vr4100el \
+	| mips64vr4300 | mips64vr4300el \
+	| mips64vr5000 | mips64vr5000el \
+	| mipsisa32 | mipsisa32el \
+	| mipsisa32r2 | mipsisa32r2el \
+	| mipsisa64 | mipsisa64el \
+	| mipsisa64sb1 | mipsisa64sb1el \
+	| mipsisa64sr71k | mipsisa64sr71kel \
+	| mipstx39 | mipstx39el \
 	| mn10200 | mn10300 \
+	| msp430 \
 	| ns16k | ns32k \
 	| openrisc | or32 \
 	| pdp10 | pdp11 | pj | pjl \
 	| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \
 	| pyramid \
-	| sh | sh[34] | sh[34]eb | shbe | shle | sh64 \
+	| sh | sh[1234] | sh[23]e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
+	| sh64 | sh64le \
 	| sparc | sparc64 | sparc86x | sparclet | sparclite | sparcv9 | sparcv9b \
 	| strongarm \
-	| tahoe | thumb | tic80 | tron \
+	| tahoe | thumb | tic4x | tic80 | tron \
 	| v850 | v850e \
 	| we32k \
 	| x86 | xscale | xstormy16 | xtensa \
@@ -281,34 +294,49 @@
 	| alpha-* | alphaev[4-8]-* | alphaev56-* | alphaev6[78]-* \
 	| alpha64-* | alpha64ev[4-8]-* | alpha64ev56-* | alpha64ev6[78]-* \
 	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* \
-	| arm-*  | armbe-* | armle-* | armv*-* \
+	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
 	| avr-* \
 	| bs2000-* \
-	| c[123]* | c30-* | [cjt]90-* | c54x-* \
+	| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* | c55x-* | c6x-* \
 	| clipper-* | cydra-* \
-	| d10v-* | d30v-* \
+	| d10v-* | d30v-* | dlx-* \
 	| elxsi-* \
-	| f30[01]-* | f700-* | fr30-* | fx80-* \
+	| f30[01]-* | f700-* | fr30-* | frv-* | fx80-* \
 	| h8300-* | h8500-* \
 	| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
 	| i*86-* | i860-* | i960-* | ia64-* \
+	| ip2k-* | iq2000-* \
 	| m32r-* \
 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
 	| m88110-* | m88k-* | mcore-* \
-	| mips-* | mips16-* | mips64-* | mips64el-* | mips64orion-* \
-	| mips64orionel-* | mips64vr4100-* | mips64vr4100el-* \
-	| mips64vr4300-* | mips64vr4300el-* | mipsbe-* | mipseb-* \
-	| mipsle-* | mipsel-* | mipstx39-* | mipstx39el-* \
-	| none-* | np1-* | ns16k-* | ns32k-* \
+	| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \
+	| mips16-* \
+	| mips64-* | mips64el-* \
+	| mips64vr-* | mips64vrel-* \
+	| mips64orion-* | mips64orionel-* \
+	| mips64vr4100-* | mips64vr4100el-* \
+	| mips64vr4300-* | mips64vr4300el-* \
+	| mips64vr5000-* | mips64vr5000el-* \
+	| mipsisa32-* | mipsisa32el-* \
+	| mipsisa32r2-* | mipsisa32r2el-* \
+	| mipsisa64-* | mipsisa64el-* \
+	| mipsisa64sb1-* | mipsisa64sb1el-* \
+	| mipsisa64sr71k-* | mipsisa64sr71kel-* \
+	| mipstx39-* | mipstx39el-* \
+	| msp430-* \
+	| none-* | np1-* | nv1-* | ns16k-* | ns32k-* \
 	| orion-* \
 	| pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \
 	| pyramid-* \
 	| romp-* | rs6000-* \
-	| sh-* | sh[34]-* | sh[34]eb-* | shbe-* | shle-* | sh64-* \
+	| sh-* | sh[1234]-* | sh[23]e-* | sh[34]eb-* | shbe-* \
+	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
 	| sparc-* | sparc64-* | sparc86x-* | sparclet-* | sparclite-* \
 	| sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \
-	| tahoe-* | thumb-* | tic30-* | tic54x-* | tic80-* | tron-* \
+	| tahoe-* | thumb-* \
+	| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \
+	| tron-* \
 	| v850-* | v850e-* | vax-* \
 	| we32k-* \
 	| x86-* | x86_64-* | xps100-* | xscale-* | xstormy16-* \
@@ -346,6 +374,9 @@
 		basic_machine=a29k-none
 		os=-bsd
 		;;
+	amd64)
+		basic_machine=x86_64-pc
+		;;
 	amdahl)
 		basic_machine=580-amdahl
 		os=-sysv
@@ -695,6 +726,10 @@
 	np1)
 		basic_machine=np1-gould
 		;;
+	nv1)
+		basic_machine=nv1-cray
+		os=-unicosmp
+		;;
 	nsr-tandem)
 		basic_machine=nsr-tandem
 		;;
@@ -728,49 +763,55 @@
 	pbb)
 		basic_machine=m68k-tti
 		;;
-        pc532 | pc532-*)
+	pc532 | pc532-*)
 		basic_machine=ns32k-pc532
 		;;
 	pentium | p5 | k5 | k6 | nexgen | viac3)
 		basic_machine=i586-pc
 		;;
-	pentiumpro | p6 | 6x86 | athlon)
+	pentiumpro | p6 | 6x86 | athlon | athlon_*)
 		basic_machine=i686-pc
 		;;
-	pentiumii | pentium2)
+	pentiumii | pentium2 | pentiumiii | pentium3)
 		basic_machine=i686-pc
 		;;
+	pentium4)
+		basic_machine=i786-pc
+		;;
 	pentium-* | p5-* | k5-* | k6-* | nexgen-* | viac3-*)
 		basic_machine=i586-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
 	pentiumpro-* | p6-* | 6x86-* | athlon-*)
 		basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
-	pentiumii-* | pentium2-*)
+	pentiumii-* | pentium2-* | pentiumiii-* | pentium3-*)
 		basic_machine=i686-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
+	pentium4-*)
+		basic_machine=i786-`echo $basic_machine | sed 's/^[^-]*-//'`
+		;;
 	pn)
 		basic_machine=pn-gould
 		;;
 	power)	basic_machine=power-ibm
 		;;
 	ppc)	basic_machine=powerpc-unknown
-	        ;;
+		;;
 	ppc-*)	basic_machine=powerpc-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
 	ppcle | powerpclittle | ppc-le | powerpc-little)
 		basic_machine=powerpcle-unknown
-	        ;;
+		;;
 	ppcle-* | powerpclittle-*)
 		basic_machine=powerpcle-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
 	ppc64)	basic_machine=powerpc64-unknown
-	        ;;
+		;;
 	ppc64-*) basic_machine=powerpc64-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
 	ppc64le | powerpc64little | ppc64-le | powerpc64-little)
 		basic_machine=powerpc64le-unknown
-	        ;;
+		;;
 	ppc64le-* | powerpc64little-*)
 		basic_machine=powerpc64le-`echo $basic_machine | sed 's/^[^-]*-//'`
 		;;
@@ -801,6 +842,16 @@
 		basic_machine=a29k-amd
 		os=-udi
 		;;
+	sb1)
+		basic_machine=mipsisa64sb1-unknown
+		;;
+	sb1el)
+		basic_machine=mipsisa64sb1el-unknown
+		;;
+	sei)
+		basic_machine=mips-sei
+		os=-seiux
+		;;
 	sequent)
 		basic_machine=i386-sequent
 		;;
@@ -808,6 +859,9 @@
 		basic_machine=sh-hitachi
 		os=-hms
 		;;
+	sh64)
+		basic_machine=sh64-unknown
+		;;
 	sparclite-wrs | simso-wrs)
 		basic_machine=sparclite-wrs
 		os=-vxworks
@@ -866,7 +920,7 @@
 	sun386 | sun386i | roadrunner)
 		basic_machine=i386-sun
 		;;
-        sv1)
+	sv1)
 		basic_machine=sv1-cray
 		os=-unicos
 		;;
@@ -874,10 +928,6 @@
 		basic_machine=i386-sequent
 		os=-dynix
 		;;
-	t3d)
-		basic_machine=alpha-cray
-		os=-unicos
-		;;
 	t3e)
 		basic_machine=alphaev5-cray
 		os=-unicos
@@ -890,6 +940,14 @@
 		basic_machine=tic54x-unknown
 		os=-coff
 		;;
+	tic55x | c55x*)
+		basic_machine=tic55x-unknown
+		os=-coff
+		;;
+	tic6x | c6x*)
+		basic_machine=tic6x-unknown
+		os=-coff
+		;;
 	tx39)
 		basic_machine=mipstx39-unknown
 		;;
@@ -924,8 +982,8 @@
 		os=-vms
 		;;
 	vpp*|vx|vx-*)
-               basic_machine=f301-fujitsu
-               ;;
+		basic_machine=f301-fujitsu
+		;;
 	vxworks960)
 		basic_machine=i960-wrs
 		os=-vxworks
@@ -946,11 +1004,7 @@
 		basic_machine=hppa1.1-winbond
 		os=-proelf
 		;;
-	windows32)
-		basic_machine=i386-pc
-		os=-windows32-msvcrt
-		;;
-        xps | xps100)
+	xps | xps100)
 		basic_machine=xps100-honeywell
 		;;
 	ymp)
@@ -996,7 +1050,7 @@
 	we32k)
 		basic_machine=we32k-att
 		;;
-	sh3 | sh4 | sh3eb | sh4eb)
+	sh3 | sh4 | sh[34]eb | sh[1234]le | sh[23]ele)
 		basic_machine=sh-unknown
 		;;
 	sh64)
@@ -1005,7 +1059,7 @@
 	sparc | sparcv9 | sparcv9b)
 		basic_machine=sparc-sun
 		;;
-        cydra)
+	cydra)
 		basic_machine=cydra-cydrome
 		;;
 	orion)
@@ -1020,10 +1074,6 @@
 	pmac | pmac-mpw)
 		basic_machine=powerpc-apple
 		;;
-	c4x*)
-		basic_machine=c4x-none
-		os=-coff
-		;;
 	*-unknown)
 		# Make sure to match an already-canonicalized machine name.
 		;;
@@ -1079,18 +1129,19 @@
 	      | -aos* \
 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
-	      | -hiux* | -386bsd* | -netbsd* | -openbsd* | -freebsd* | -riscix* \
+	      | -hiux* | -386bsd* | -netbsd* | -openbsd* | -kfreebsd* | -freebsd* | -riscix* \
 	      | -lynxos* | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \
 	      | -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \
 	      | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \
 	      | -chorusos* | -chorusrdb* \
 	      | -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \
 	      | -mingw32* | -linux-gnu* | -uxpv* | -beos* | -mpeix* | -udk* \
-	      | -interix* | -uwin* | -rhapsody* | -darwin* | -opened* \
+	      | -interix* | -uwin* | -mks* | -rhapsody* | -darwin* | -opened* \
 	      | -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \
 	      | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
-	      | -morphos* | -superux* | -rtmk* | -rtmk-nova*)
+	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
+	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1102,8 +1153,10 @@
 			;;
 		esac
 		;;
+	-nto-qnx*)
+		;;
 	-nto*)
-		os=-nto-qnx
+		os=`echo $os | sed -e 's|nto|nto-qnx|'`
 		;;
 	-sim | -es1800* | -hms* | -xray | -os68k* | -none* | -v88r* \
 	      | -windows* | -osx | -abug | -netware* | -os9* | -beos* \
@@ -1155,7 +1208,7 @@
 		os=-rtmk-nova
 		;;
 	-ns2 )
-	        os=-nextstep2
+		os=-nextstep2
 		;;
 	-nsk*)
 		os=-nsk
@@ -1194,8 +1247,14 @@
 	-xenix)
 		os=-xenix
 		;;
-        -*mint | -mint[0-9]* | -*MiNT | -MiNT[0-9]*)
-	        os=-mint
+	-*mint | -mint[0-9]* | -*MiNT | -MiNT[0-9]*)
+		os=-mint
+		;;
+	-aros*)
+		os=-aros
+		;;
+	-kaos*)
+		os=-kaos
 		;;
 	-none)
 		;;
@@ -1228,11 +1287,14 @@
 	arm*-semi)
 		os=-aout
 		;;
+    c4x-* | tic4x-*)
+        os=-coff
+        ;;
 	# This must come before the *-dec entry.
 	pdp10-*)
 		os=-tops20
 		;;
-        pdp11-*)
+	pdp11-*)
 		os=-none
 		;;
 	*-dec | vax-*)
@@ -1325,19 +1387,19 @@
 	*-next)
 		os=-nextstep3
 		;;
-        *-gould)
+	*-gould)
 		os=-sysv
 		;;
-        *-highlevel)
+	*-highlevel)
 		os=-bsd
 		;;
 	*-encore)
 		os=-bsd
 		;;
-        *-sgi)
+	*-sgi)
 		os=-irix
 		;;
-        *-siemens)
+	*-siemens)
 		os=-sysv4
 		;;
 	*-masscomp)
@@ -1409,7 +1471,7 @@
 			-ptx*)
 				vendor=sequent
 				;;
-			-vxsim* | -vxworks*)
+			-vxsim* | -vxworks* | -windiss*)
 				vendor=wrs
 				;;
 			-aux*)
--- slang-1.4.9.orig/autoconf/config.guess
+++ slang-1.4.9/autoconf/config.guess
@@ -1,9 +1,9 @@
 #! /bin/sh
 # Attempt to guess a canonical system name.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003 Free Software Foundation, Inc.
 
-timestamp='2002-03-20'
+timestamp='2003-07-02'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -88,30 +88,42 @@
   exit 1
 fi
 
+trap 'exit 1' 1 2 15
 
-dummy=dummy-$$
-trap 'rm -f $dummy.c $dummy.o $dummy.rel $dummy; exit 1' 1 2 15
+# CC_FOR_BUILD -- compiler used by this script. Note that the use of a
+# compiler to aid in system detection is discouraged as it requires
+# temporary files to be created and, as you can see below, it is a
+# headache to deal with in a portable fashion.
 
-# CC_FOR_BUILD -- compiler used by this script.
 # Historically, `CC_FOR_BUILD' used to be named `HOST_CC'. We still
 # use `HOST_CC' if defined, but it is deprecated.
 
-set_cc_for_build='case $CC_FOR_BUILD,$HOST_CC,$CC in
- ,,)    echo "int dummy(){}" > $dummy.c ;
+# Portable tmp directory creation inspired by the Autoconf team.
+
+set_cc_for_build='
+trap "exitcode=\$?; (rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null) && exit \$exitcode" 0 ;
+trap "rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null; exit 1" 1 2 13 15 ;
+: ${TMPDIR=/tmp} ;
+ { tmp=`(umask 077 && mktemp -d -q "$TMPDIR/cgXXXXXX") 2>/dev/null` && test -n "$tmp" && test -d "$tmp" ; } ||
+ { test -n "$RANDOM" && tmp=$TMPDIR/cg$$-$RANDOM && (umask 077 && mkdir $tmp) ; } ||
+ { tmp=$TMPDIR/cg-$$ && (umask 077 && mkdir $tmp) && echo "Warning: creating insecure temp directory" >&2 ; } ||
+ { echo "$me: cannot create a temporary directory in $TMPDIR" >&2 ; exit 1 ; } ;
+dummy=$tmp/dummy ;
+tmpfiles="$dummy.c $dummy.o $dummy.rel $dummy" ;
+case $CC_FOR_BUILD,$HOST_CC,$CC in
+ ,,)    echo "int x;" > $dummy.c ;
 	for c in cc gcc c89 c99 ; do
-	  ($c $dummy.c -c -o $dummy.o) >/dev/null 2>&1 ;
-	  if test $? = 0 ; then
+	  if ($c -c -o $dummy.o $dummy.c) >/dev/null 2>&1 ; then
 	     CC_FOR_BUILD="$c"; break ;
 	  fi ;
 	done ;
-	rm -f $dummy.c $dummy.o $dummy.rel ;
 	if test x"$CC_FOR_BUILD" = x ; then
 	  CC_FOR_BUILD=no_compiler_found ;
 	fi
 	;;
  ,,*)   CC_FOR_BUILD=$CC ;;
  ,*,*)  CC_FOR_BUILD=$HOST_CC ;;
-esac'
+esac ;'
 
 # This is needed to find uname on a Pyramid OSx when run in the BSD universe.
 # (ghazi@noc.rutgers.edu 1994-08-24)
@@ -142,6 +154,7 @@
 	UNAME_MACHINE_ARCH=`(/sbin/$sysctl 2>/dev/null || \
 	    /usr/sbin/$sysctl 2>/dev/null || echo unknown)`
 	case "${UNAME_MACHINE_ARCH}" in
+	    armeb) machine=armeb-unknown ;;
 	    arm*) machine=arm-unknown ;;
 	    sh3el) machine=shl-unknown ;;
 	    sh3eb) machine=sh-unknown ;;
@@ -167,7 +180,18 @@
 		;;
 	esac
 	# The OS release
-	release=`echo ${UNAME_RELEASE}|sed -e 's/[-_].*/\./'`
+	# Debian GNU/NetBSD machines have a different userland, and
+	# thus, need a distinct triplet. However, they do not need
+	# kernel version information, so it can be replaced with a
+	# suitable tag, in the style of linux-gnu.
+	case "${UNAME_VERSION}" in
+	    Debian*)
+		release='-gnu'
+		;;
+	    *)
+		release=`echo ${UNAME_RELEASE}|sed -e 's/[-_].*/\./'`
+		;;
+	esac
 	# Since CPU_TYPE-MANUFACTURER-KERNEL-OPERATING_SYSTEM:
 	# contains redundant information, the shorter form:
 	# CPU_TYPE-MANUFACTURER-OPERATING_SYSTEM is used.
@@ -216,65 +240,52 @@
 	if test $UNAME_RELEASE = "V4.0"; then
 		UNAME_RELEASE=`/usr/sbin/sizer -v | awk '{print $3}'`
 	fi
+	# According to Compaq, /usr/sbin/psrinfo has been available on
+	# OSF/1 and Tru64 systems produced since 1995.  I hope that
+	# covers most systems running today.  This code pipes the CPU
+	# types through head -n 1, so we only detect the type of CPU 0.
+	ALPHA_CPU_TYPE=`/usr/sbin/psrinfo -v | sed -n -e 's/^  The alpha \(.*\) processor.*$/\1/p' | head -n 1`
+	case "$ALPHA_CPU_TYPE" in
+	    "EV4 (21064)")
+		UNAME_MACHINE="alpha" ;;
+	    "EV4.5 (21064)")
+		UNAME_MACHINE="alpha" ;;
+	    "LCA4 (21066/21068)")
+		UNAME_MACHINE="alpha" ;;
+	    "EV5 (21164)")
+		UNAME_MACHINE="alphaev5" ;;
+	    "EV5.6 (21164A)")
+		UNAME_MACHINE="alphaev56" ;;
+	    "EV5.6 (21164PC)")
+		UNAME_MACHINE="alphapca56" ;;
+	    "EV5.7 (21164PC)")
+		UNAME_MACHINE="alphapca57" ;;
+	    "EV6 (21264)")
+		UNAME_MACHINE="alphaev6" ;;
+	    "EV6.7 (21264A)")
+		UNAME_MACHINE="alphaev67" ;;
+	    "EV6.8CB (21264C)")
+		UNAME_MACHINE="alphaev68" ;;
+	    "EV6.8AL (21264B)")
+		UNAME_MACHINE="alphaev68" ;;
+	    "EV6.8CX (21264D)")
+		UNAME_MACHINE="alphaev68" ;;
+	    "EV6.9A (21264/EV69A)")
+		UNAME_MACHINE="alphaev69" ;;
+	    "EV7 (21364)")
+		UNAME_MACHINE="alphaev7" ;;
+	    "EV7.9 (21364A)")
+		UNAME_MACHINE="alphaev79" ;;
+	esac
 	# A Vn.n version is a released version.
 	# A Tn.n version is a released field test version.
 	# A Xn.n version is an unreleased experimental baselevel.
 	# 1.2 uses "1.2" for uname -r.
-	cat <<EOF >$dummy.s
-	.data
-\$Lformat:
-	.byte 37,100,45,37,120,10,0	# "%d-%x\n"
-
-	.text
-	.globl main
-	.align 4
-	.ent main
-main:
-	.frame \$30,16,\$26,0
-	ldgp \$29,0(\$27)
-	.prologue 1
-	.long 0x47e03d80 # implver \$0
-	lda \$2,-1
-	.long 0x47e20c21 # amask \$2,\$1
-	lda \$16,\$Lformat
-	mov \$0,\$17
-	not \$1,\$18
-	jsr \$26,printf
-	ldgp \$29,0(\$26)
-	mov 0,\$16
-	jsr \$26,exit
-	.end main
-EOF
-	eval $set_cc_for_build
-	$CC_FOR_BUILD $dummy.s -o $dummy 2>/dev/null
-	if test "$?" = 0 ; then
-		case `./$dummy` in
-			0-0)
-				UNAME_MACHINE="alpha"
-				;;
-			1-0)
-				UNAME_MACHINE="alphaev5"
-				;;
-			1-1)
-				UNAME_MACHINE="alphaev56"
-				;;
-			1-101)
-				UNAME_MACHINE="alphapca56"
-				;;
-			2-303)
-				UNAME_MACHINE="alphaev6"
-				;;
-			2-307)
-				UNAME_MACHINE="alphaev67"
-				;;
-			2-1307)
-				UNAME_MACHINE="alphaev68"
-				;;
-		esac
-	fi
-	rm -f $dummy.s $dummy
 	echo ${UNAME_MACHINE}-dec-osf`echo ${UNAME_RELEASE} | sed -e 's/^[VTX]//' | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
 	exit 0 ;;
+    Alpha*:OpenVMS:*:*)
+	echo alpha-hp-vms
+	exit 0 ;;
     Alpha\ *:Windows_NT*:*)
 	# How do we know it's Interix rather than the generic POSIX subsystem?
 	# Should we change UNAME_MACHINE based on the output of uname instead
@@ -313,6 +324,13 @@
     NILE*:*:*:dcosx)
 	echo pyramid-pyramid-svr4
 	exit 0 ;;
+    DRS?6000:unix:4.0:6*)
+	echo sparc-icl-nx6
+	exit 0 ;;
+    DRS?6000:UNIX_SV:4.2*:7*)
+	case `/usr/bin/uname -p` in
+	    sparc) echo sparc-icl-nx7 && exit 0 ;;
+	esac ;;
     sun4H:SunOS:5.*:*)
 	echo sparc-hal-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit 0 ;;
@@ -419,15 +437,20 @@
 	  exit (-1);
 	}
 EOF
-	$CC_FOR_BUILD $dummy.c -o $dummy \
-	  && ./$dummy `echo "${UNAME_RELEASE}" | sed -n 's/\([0-9]*\).*/\1/p'` \
-	  && rm -f $dummy.c $dummy && exit 0
-	rm -f $dummy.c $dummy
+	$CC_FOR_BUILD -o $dummy $dummy.c \
+	  && $dummy `echo "${UNAME_RELEASE}" | sed -n 's/\([0-9]*\).*/\1/p'` \
+	  && exit 0
 	echo mips-mips-riscos${UNAME_RELEASE}
 	exit 0 ;;
     Motorola:PowerMAX_OS:*:*)
 	echo powerpc-motorola-powermax
 	exit 0 ;;
+    Motorola:*:4.3:PL8-*)
+	echo powerpc-harris-powermax
+	exit 0 ;;
+    Night_Hawk:*:*:PowerMAX_OS | Synergy:PowerMAX_OS:*:*)
+	echo powerpc-harris-powermax
+	exit 0 ;;
     Night_Hawk:Power_UNIX:*:*)
 	echo powerpc-harris-powerunix
 	exit 0 ;;
@@ -500,8 +523,7 @@
 			exit(0);
 			}
 EOF
-		$CC_FOR_BUILD $dummy.c -o $dummy && ./$dummy && rm -f $dummy.c $dummy && exit 0
-		rm -f $dummy.c $dummy
+		$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
 		echo rs6000-ibm-aix3.2.5
 	elif grep bos324 /usr/include/stdio.h >/dev/null 2>&1; then
 		echo rs6000-ibm-aix3.2.4
@@ -599,11 +621,21 @@
                   exit (0);
               }
 EOF
-		    (CCOPTS= $CC_FOR_BUILD $dummy.c -o $dummy 2>/dev/null) && HP_ARCH=`./$dummy`
-		    if test -z "$HP_ARCH"; then HP_ARCH=hppa; fi
-		    rm -f $dummy.c $dummy
+		    (CCOPTS= $CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null) && HP_ARCH=`$dummy`
+		    test -z "$HP_ARCH" && HP_ARCH=hppa
 		fi ;;
 	esac
+	if [ ${HP_ARCH} = "hppa2.0w" ]
+	then
+	    # avoid double evaluation of $set_cc_for_build
+	    test -n "$CC_FOR_BUILD" || eval $set_cc_for_build
+	    if echo __LP64__ | (CCOPTS= $CC_FOR_BUILD -E -) | grep __LP64__ >/dev/null
+	    then
+		HP_ARCH="hppa2.0w"
+	    else
+		HP_ARCH="hppa64"
+	    fi
+	fi
 	echo ${HP_ARCH}-hp-hpux${HPUX_REV}
 	exit 0 ;;
     ia64:HP-UX:*:*)
@@ -637,8 +669,7 @@
 	  exit (0);
 	}
 EOF
-	$CC_FOR_BUILD $dummy.c -o $dummy && ./$dummy && rm -f $dummy.c $dummy && exit 0
-	rm -f $dummy.c $dummy
+	$CC_FOR_BUILD -o $dummy $dummy.c && $dummy && exit 0
 	echo unknown-hitachi-hiuxwe2
 	exit 0 ;;
     9000/7??:4.3bsd:*:* | 9000/8?[79]:4.3bsd:*:* )
@@ -696,15 +727,15 @@
     CRAY*TS:*:*:*)
 	echo t90-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
 	exit 0 ;;
-    CRAY*T3D:*:*:*)
-	echo alpha-cray-unicosmk${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
-	exit 0 ;;
     CRAY*T3E:*:*:*)
 	echo alphaev5-cray-unicosmk${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
 	exit 0 ;;
     CRAY*SV1:*:*:*)
 	echo sv1-cray-unicos${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/'
 	exit 0 ;;
+    *:UNICOS/mp:*:*)
+	echo nv1-cray-unicosmp${UNAME_RELEASE} | sed -e 's/\.[^.]*$/.X/' 
+	exit 0 ;;
     F30[01]:UNIX_System_V:*:* | F700:UNIX_System_V:*:*)
 	FUJITSU_PROC=`uname -m | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz'`
         FUJITSU_SYS=`uname -p | tr 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' 'abcdefghijklmnopqrstuvwxyz' | sed -e 's/\///'`
@@ -720,8 +751,22 @@
     *:BSD/OS:*:*)
 	echo ${UNAME_MACHINE}-unknown-bsdi${UNAME_RELEASE}
 	exit 0 ;;
-    *:FreeBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
+    *:FreeBSD:*:*|*:GNU/FreeBSD:*:*)
+	# Determine whether the default compiler uses glibc.
+	eval $set_cc_for_build
+	sed 's/^	//' << EOF >$dummy.c
+	#include <features.h>
+	#if __GLIBC__ >= 2
+	LIBC=gnu
+	#else
+	LIBC=
+	#endif
+EOF
+	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
+	# GNU/FreeBSD systems have a "k" prefix to indicate we are using
+	# FreeBSD's kernel, but not the complete OS.
+	case ${LIBC} in gnu) kernel_only='k' ;; esac
+	echo ${UNAME_MACHINE}-unknown-${kernel_only}freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`${LIBC:+-$LIBC}
 	exit 0 ;;
     i*:CYGWIN*:*)
 	echo ${UNAME_MACHINE}-pc-cygwin
@@ -732,14 +777,17 @@
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit 0 ;;
-    x86:Interix*:3*)
-	echo i386-pc-interix3
+    x86:Interix*:[34]*)
+	echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
+	exit 0 ;;
+    [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
+	echo i${UNAME_MACHINE}-pc-mks
 	exit 0 ;;
     i*:Windows_NT*:* | Pentium*:Windows_NT*:*)
 	# How do we know it's Interix rather than the generic POSIX subsystem?
 	# It also conflicts with pre-2.0 versions of AT&T UWIN. Should we
 	# UNAME_MACHINE based on the output of uname instead of i386?
-	echo i386-pc-interix
+	echo i586-pc-interix
 	exit 0 ;;
     i*:UWIN*:*)
 	echo ${UNAME_MACHINE}-pc-uwin
@@ -759,6 +807,9 @@
     arm*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit 0 ;;
+    cris:Linux:*:*)
+	echo cris-axis-linux-gnu
+	exit 0 ;;
     ia64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit 0 ;;
@@ -782,8 +833,26 @@
 	#endif
 EOF
 	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
-	rm -f $dummy.c
-	test x"${CPU}" != x && echo "${CPU}-pc-linux-gnu" && exit 0
+	test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
+	;;
+    mips64:Linux:*:*)
+	eval $set_cc_for_build
+	sed 's/^	//' << EOF >$dummy.c
+	#undef CPU
+	#undef mips64
+	#undef mips64el
+	#if defined(__MIPSEL__) || defined(__MIPSEL) || defined(_MIPSEL) || defined(MIPSEL)
+	CPU=mips64el
+	#else
+	#if defined(__MIPSEB__) || defined(__MIPSEB) || defined(_MIPSEB) || defined(MIPSEB)
+	CPU=mips64
+	#else
+	CPU=
+	#endif
+	#endif
+EOF
+	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
+	test x"${CPU}" != x && echo "${CPU}-unknown-linux-gnu" && exit 0
 	;;
     ppc:Linux:*:*)
 	echo powerpc-unknown-linux-gnu
@@ -819,6 +888,9 @@
     s390:Linux:*:* | s390x:Linux:*:*)
 	echo ${UNAME_MACHINE}-ibm-linux
 	exit 0 ;;
+    sh64*:Linux:*:*)
+    	echo ${UNAME_MACHINE}-unknown-linux-gnu
+	exit 0 ;;
     sh*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit 0 ;;
@@ -845,7 +917,7 @@
 		;;
 	  a.out-i386-linux)
 		echo "${UNAME_MACHINE}-pc-linux-gnuaout"
-		exit 0 ;;		
+		exit 0 ;;
 	  coff-i386)
 		echo "${UNAME_MACHINE}-pc-linux-gnucoff"
 		exit 0 ;;
@@ -878,7 +950,6 @@
 	#endif
 EOF
 	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
-	rm -f $dummy.c
 	test x"${LIBC}" != x && echo "${UNAME_MACHINE}-pc-linux-${LIBC}" && exit 0
 	test x"${TENTATIVE}" != x && echo "${TENTATIVE}" && exit 0
 	;;
@@ -896,6 +967,23 @@
         # Use sysv4.2uw... so that sysv4* matches it.
 	echo ${UNAME_MACHINE}-pc-sysv4.2uw${UNAME_VERSION}
 	exit 0 ;;
+    i*86:OS/2:*:*)
+	# If we were able to find `uname', then EMX Unix compatibility
+	# is probably installed.
+	echo ${UNAME_MACHINE}-pc-os2-emx
+	exit 0 ;;
+    i*86:XTS-300:*:STOP)
+	echo ${UNAME_MACHINE}-unknown-stop
+	exit 0 ;;
+    i*86:atheos:*:*)
+	echo ${UNAME_MACHINE}-unknown-atheos
+	exit 0 ;;
+    i*86:LynxOS:2.*:* | i*86:LynxOS:3.[01]*:* | i*86:LynxOS:4.0*:*)
+	echo i386-unknown-lynxos${UNAME_RELEASE}
+	exit 0 ;;
+    i*86:*DOS:*:*)
+	echo ${UNAME_MACHINE}-pc-msdosdjgpp
+	exit 0 ;;
     i*86:*:4.*:* | i*86:SYSTEM_V:4.*:*)
 	UNAME_REL=`echo ${UNAME_RELEASE} | sed 's/\/MP$//'`
 	if grep Novell /usr/include/link.h >/dev/null 2>/dev/null; then
@@ -917,22 +1005,19 @@
 		UNAME_REL=`sed -n 's/.*Version //p' </usr/options/cb.name`
 		echo ${UNAME_MACHINE}-pc-isc$UNAME_REL
 	elif /bin/uname -X 2>/dev/null >/dev/null ; then
-		UNAME_REL=`(/bin/uname -X|egrep Release|sed -e 's/.*= //')`
-		(/bin/uname -X|egrep i80486 >/dev/null) && UNAME_MACHINE=i486
-		(/bin/uname -X|egrep '^Machine.*Pentium' >/dev/null) \
+		UNAME_REL=`(/bin/uname -X|grep Release|sed -e 's/.*= //')`
+		(/bin/uname -X|grep i80486 >/dev/null) && UNAME_MACHINE=i486
+		(/bin/uname -X|grep '^Machine.*Pentium' >/dev/null) \
 			&& UNAME_MACHINE=i586
-		(/bin/uname -X|egrep '^Machine.*Pent ?II' >/dev/null) \
+		(/bin/uname -X|grep '^Machine.*Pent *II' >/dev/null) \
 			&& UNAME_MACHINE=i686
-		(/bin/uname -X|egrep '^Machine.*Pentium Pro' >/dev/null) \
+		(/bin/uname -X|grep '^Machine.*Pentium Pro' >/dev/null) \
 			&& UNAME_MACHINE=i686
 		echo ${UNAME_MACHINE}-pc-sco$UNAME_REL
 	else
 		echo ${UNAME_MACHINE}-pc-sysv32
 	fi
 	exit 0 ;;
-    i*86:*DOS:*:*)
-	echo ${UNAME_MACHINE}-pc-msdosdjgpp
-	exit 0 ;;
     pc:*:*:*)
 	# Left here for compatibility:
         # uname -m prints for DJGPP always 'pc', but it prints nothing about
@@ -956,9 +1041,15 @@
 	# "miniframe"
 	echo m68010-convergent-sysv
 	exit 0 ;;
+    mc68k:UNIX:SYSTEM5:3.51m)
+	echo m68k-convergent-sysv
+	exit 0 ;;
+    M680?0:D-NIX:5.3:*)
+	echo m68k-diab-dnix
+	exit 0 ;;
     M68*:*:R3V[567]*:*)
 	test -r /sysV68 && echo 'm68k-motorola-sysv' && exit 0 ;;
-    3[34]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0)
+    3[34]??:*:4.0:3.0 | 3[34]??A:*:4.0:3.0 | 3[34]??,*:*:4.0:3.0 | 3[34]??/*:*:4.0:3.0 | 4400:*:4.0:3.0 | 4850:*:4.0:3.0 | SKA40:*:4.0:3.0 | SDS2:*:4.0:3.0 | SHG2:*:4.0:3.0)
 	OS_REL=''
 	test -r /etc/.relid \
 	&& OS_REL=.`sed -n 's/[^ ]* [^ ]* \([0-9][0-9]\).*/\1/p' < /etc/.relid`
@@ -975,9 +1066,6 @@
     mc68030:UNIX_System_V:4.*:*)
 	echo m68k-atari-sysv4
 	exit 0 ;;
-    i*86:LynxOS:2.*:* | i*86:LynxOS:3.[01]*:* | i*86:LynxOS:4.0*:*)
-	echo i386-unknown-lynxos${UNAME_RELEASE}
-	exit 0 ;;
     TSUNAMI:LynxOS:2.*:*)
 	echo sparc-unknown-lynxos${UNAME_RELEASE}
 	exit 0 ;;
@@ -1049,6 +1137,9 @@
     SX-5:SUPER-UX:*:*)
 	echo sx5-nec-superux${UNAME_RELEASE}
 	exit 0 ;;
+    SX-6:SUPER-UX:*:*)
+	echo sx6-nec-superux${UNAME_RELEASE}
+	exit 0 ;;
     Power*:Rhapsody:*:*)
 	echo powerpc-apple-rhapsody${UNAME_RELEASE}
 	exit 0 ;;
@@ -1056,7 +1147,11 @@
 	echo ${UNAME_MACHINE}-apple-rhapsody${UNAME_RELEASE}
 	exit 0 ;;
     *:Darwin:*:*)
-	echo `uname -p`-apple-darwin${UNAME_RELEASE}
+	case `uname -p` in
+	    *86) UNAME_PROCESSOR=i686 ;;
+	    powerpc) UNAME_PROCESSOR=powerpc ;;
+	esac
+	echo ${UNAME_PROCESSOR}-apple-darwin${UNAME_RELEASE}
 	exit 0 ;;
     *:procnto*:*:* | *:QNX:[0123456789]*:*)
 	UNAME_PROCESSOR=`uname -p`
@@ -1069,7 +1164,7 @@
     *:QNX:*:4*)
 	echo i386-pc-qnx
 	exit 0 ;;
-    NSR-[GKLNPTVW]:NONSTOP_KERNEL:*:*)
+    NSR-[DGKLNPTVW]:NONSTOP_KERNEL:*:*)
 	echo nsr-tandem-nsk${UNAME_RELEASE}
 	exit 0 ;;
     *:NonStop-UX:*:*)
@@ -1092,11 +1187,6 @@
 	fi
 	echo ${UNAME_MACHINE}-unknown-plan9
 	exit 0 ;;
-    i*86:OS/2:*:*)
-	# If we were able to find `uname', then EMX Unix compatibility
-	# is probably installed.
-	echo ${UNAME_MACHINE}-pc-os2-emx
-	exit 0 ;;
     *:TOPS-10:*:*)
 	echo pdp10-unknown-tops10
 	exit 0 ;;
@@ -1115,11 +1205,8 @@
     *:ITS:*:*)
 	echo pdp10-unknown-its
 	exit 0 ;;
-    i*86:XTS-300:*:STOP)
-	echo ${UNAME_MACHINE}-unknown-stop
-	exit 0 ;;
-    i*86:atheos:*:*)
-	echo ${UNAME_MACHINE}-unknown-atheos
+    SEI:*:*:SEIUX)
+        echo mips-sei-seiux${UNAME_RELEASE}
 	exit 0 ;;
 esac
 
@@ -1241,8 +1328,7 @@
 }
 EOF
 
-$CC_FOR_BUILD $dummy.c -o $dummy 2>/dev/null && ./$dummy && rm -f $dummy.c $dummy && exit 0
-rm -f $dummy.c $dummy
+$CC_FOR_BUILD -o $dummy $dummy.c 2>/dev/null && $dummy && exit 0
 
 # Apollos put the system type in the environment.
 
--- slang-1.4.9.orig/autoconf/aclocal.m4
+++ slang-1.4.9/autoconf/aclocal.m4
@@ -486,7 +486,7 @@
 ELFLIB_MAJOR_MINOR="\$(ELFLIB).\$(ELF_MAJOR_VERSION).\$(ELF_MINOR_VERSION)"
 
 case "$host_os" in
-  *linux* )
+  *linux*|gnu*|k*bsd*-gnu )
     DYNAMIC_LINK_FLAGS="-Wl,-export-dynamic"
     ELF_CC="gcc"
     ELF_CFLAGS="-O2 -fno-strength-reduce -fPIC"
--- slang-1.4.9.orig/demo/smgtest.c
+++ slang-1.4.9/demo/smgtest.c
@@ -14,9 +14,12 @@
 static void menu_loop (void);
 static int select_menu_item (int i);
 static void init_colors (void);
+void prepare_acs_chars (void);
+
 
 int main (int argc, char **argv)
-{   
+{
+   prepare_acs_chars();
    if (-1 == demolib_init_terminal (1, 1))
      return 1;
 
@@ -456,31 +459,57 @@
 
 static Draw_Symbols_Type Draw_Symbols [] = 
 {
-     {"SLSMG_HLINE_CHAR",		SLSMG_HLINE_CHAR},
-     {"SLSMG_VLINE_CHAR",		SLSMG_VLINE_CHAR},
-     {"SLSMG_ULCORN_CHAR",		SLSMG_ULCORN_CHAR},
-     {"SLSMG_URCORN_CHAR",		SLSMG_URCORN_CHAR},
-     {"SLSMG_LLCORN_CHAR",		SLSMG_LLCORN_CHAR},
-     {"SLSMG_LRCORN_CHAR",		SLSMG_LRCORN_CHAR},
-     {"SLSMG_RTEE_CHAR",		SLSMG_RTEE_CHAR},
-     {"SLSMG_LTEE_CHAR",		SLSMG_LTEE_CHAR},
-     {"SLSMG_UTEE_CHAR",		SLSMG_UTEE_CHAR},
-     {"SLSMG_DTEE_CHAR",		SLSMG_DTEE_CHAR},
-     {"SLSMG_PLUS_CHAR",		SLSMG_PLUS_CHAR},
-     {"SLSMG_CKBRD_CHAR",		SLSMG_CKBRD_CHAR},
-     {"SLSMG_DIAMOND_CHAR",		SLSMG_DIAMOND_CHAR},
-     {"SLSMG_DEGREE_CHAR",		SLSMG_DEGREE_CHAR},
-     {"SLSMG_PLMINUS_CHAR",		SLSMG_PLMINUS_CHAR},
-     {"SLSMG_BULLET_CHAR",		SLSMG_BULLET_CHAR},
-     {"SLSMG_LARROW_CHAR",		SLSMG_LARROW_CHAR},
-     {"SLSMG_RARROW_CHAR",		SLSMG_RARROW_CHAR},
-     {"SLSMG_DARROW_CHAR",		SLSMG_DARROW_CHAR},
-     {"SLSMG_UARROW_CHAR",		SLSMG_UARROW_CHAR},
-     {"SLSMG_BOARD_CHAR",		SLSMG_BOARD_CHAR},
-     {"SLSMG_BLOCK_CHAR",		SLSMG_BLOCK_CHAR},
+     {"SLSMG_HLINE_CHAR",		0},
+     {"SLSMG_VLINE_CHAR",		0},
+     {"SLSMG_ULCORN_CHAR",		0},
+     {"SLSMG_URCORN_CHAR",		0},
+     {"SLSMG_LLCORN_CHAR",		0},
+     {"SLSMG_LRCORN_CHAR",		0},
+     {"SLSMG_RTEE_CHAR",		0},
+     {"SLSMG_LTEE_CHAR",		0},
+     {"SLSMG_UTEE_CHAR",		0},
+     {"SLSMG_DTEE_CHAR",		0},
+     {"SLSMG_PLUS_CHAR",		0},
+     {"SLSMG_CKBRD_CHAR",		0},
+     {"SLSMG_DIAMOND_CHAR",	        0},
+     {"SLSMG_DEGREE_CHAR",		0},
+     {"SLSMG_PLMINUS_CHAR",		0},
+     {"SLSMG_BULLET_CHAR",	        0},
+     {"SLSMG_LARROW_CHAR",		0},
+     {"SLSMG_RARROW_CHAR",		0},
+     {"SLSMG_DARROW_CHAR",		0},
+     {"SLSMG_UARROW_CHAR",		0},
+     {"SLSMG_BOARD_CHAR",		0},
+     {"SLSMG_BLOCK_CHAR",		0},
      {NULL}
 };
 
+void prepare_acs_chars()
+{
+	Draw_Symbols[0].value = SLSMG_HLINE_CHAR;
+	Draw_Symbols[1].value = SLSMG_VLINE_CHAR;
+	Draw_Symbols[2].value = SLSMG_ULCORN_CHAR;
+	Draw_Symbols[3].value = SLSMG_URCORN_CHAR;
+	Draw_Symbols[4].value = SLSMG_LLCORN_CHAR;
+	Draw_Symbols[5].value = SLSMG_LRCORN_CHAR;
+	Draw_Symbols[6].value = SLSMG_RTEE_CHAR;
+	Draw_Symbols[7].value = SLSMG_LTEE_CHAR;
+	Draw_Symbols[8].value = SLSMG_UTEE_CHAR;
+	Draw_Symbols[9].value = SLSMG_DTEE_CHAR;
+	Draw_Symbols[10].value = SLSMG_PLUS_CHAR;
+	Draw_Symbols[11].value = SLSMG_CKBRD_CHAR;
+	Draw_Symbols[12].value = SLSMG_DIAMOND_CHAR;
+	Draw_Symbols[13].value = SLSMG_DEGREE_CHAR;
+	Draw_Symbols[14].value = SLSMG_PLMINUS_CHAR;
+	Draw_Symbols[15].value = SLSMG_BULLET_CHAR;
+	Draw_Symbols[16].value = SLSMG_LARROW_CHAR;
+	Draw_Symbols[17].value = SLSMG_RARROW_CHAR;
+	Draw_Symbols[18].value = SLSMG_DARROW_CHAR;
+	Draw_Symbols[19].value = SLSMG_UARROW_CHAR;
+	Draw_Symbols[20].value = SLSMG_BOARD_CHAR;
+	Draw_Symbols[21].value = SLSMG_BLOCK_CHAR;
+}
+
 static void draw_symbols_test (void)
 {
    int row, col;
--- slang-1.4.9.orig/demo/Makefile.simple
+++ slang-1.4.9/demo/Makefile.simple
@@ -0,0 +1,5 @@
+CFLAGS=-lslang
+OBJS=keypad pager smgtest useropen
+all: $(OBJS)
+clean: $(OBJS)
+
--- slang-1.4.9.orig/doc/text/cslang.txt
+++ slang-1.4.9/doc/text/cslang.txt
@@ -1760,7 +1760,7 @@
   The S-Lang library provides two interfaces to terminal independent
   routines for manipulating the display on a terminal.  The highest
   level interface, known as the SLsmg interface is discussed in this
-  section.  It provides high level screen management functions more
+  section.  It provides high level screen management functions for
   manipulating the display in an optimal manner and is similar in spirit
   to the curses library.  The lowest level interface, or the SLtt
   interface, is used by the SLsmg routines to actually perform the task
@@ -1818,7 +1818,7 @@
 
 
 
-  Before the program exits or suspends, the function SLsmg_reset_tty
+  Before the program exits or suspends, the function SLsmg_reset_smg
   should be called to shutdown the display system.  This function has
   the prototype
 
--- slang-1.4.9.orig/doc/tm/cslang.tm
+++ slang-1.4.9/doc/tm/cslang.tm
@@ -1434,7 +1434,7 @@
   The \slang library provides two interfaces to terminal independent
   routines for manipulating the display on a terminal.  The highest level
   interface, known as the \verb{SLsmg} interface is discussed in this
-  section.  It provides high level screen management functions more
+  section.  It provides high level screen management functions for
   manipulating the display in an optimal manner and is similar in spirit to
   the \verb{curses} library.  The lowest level interface, or the
   \verb{SLtt}
@@ -1487,7 +1487,7 @@
 \sect{Resetting SLsmg}  
 
   Before the program exits or suspends, the function
-  \verb{SLsmg_reset_tty}
+  \verb{SLsmg_reset_smg}
   should be called to shutdown the display system.  This function has the
   prototype
 #v+ 
--- slang-1.4.9.orig/src/slinclud.h
+++ slang-1.4.9/src/slinclud.h
@@ -27,4 +27,9 @@
 # include <memory.h>
 #endif
 
+#ifdef UTF8
+# include <wchar.h>
+# include <limits.h>
+#endif /* UTF8 */
+
 #endif				       /* _SLANG_INCLUDE_H_ */
--- slang-1.4.9.orig/src/Makefile.in
+++ slang-1.4.9/src/Makefile.in
@@ -78,7 +78,7 @@
 ALL_ELF_CFLAGS		= $(ELF_CFLAGS) -Dunix $(THIS_LIB_DEFINES)
 COMPILE_CMD		= $(CC) -c $(ALL_CFLAGS)
 ELFCOMPILE_CMD		= $(ELF_CC) -c $(ALL_ELF_CFLAGS)
-ELF_LINK_CMD		= @ELF_LINK_CMD@
+ELF_LINK_CMD		= @ELF_LINK_CMD@$(UTF8MODIFIER) # hack for debian UTF8
 
 NORMAL_LIB = lib$(THIS_LIB).a
 OBJDIR_NORMAL_LIB = $(OBJDIR)/$(NORMAL_LIB)
@@ -140,7 +140,7 @@
 #---------------------------------------------------------------------------
 # Intallation rules
 #---------------------------------------------------------------------------
-install: install_basic_lib install_docs
+install: install_basic_lib
 install_basic_lib: $(DEST_LIBDIR) $(DEST_INCDIR) $(OBJDIR_NORMAL_LIB)
 	@echo installing $(OBJDIR_NORMAL_LIB) in $(DEST_LIBDIR)
 	$(INSTALL_DATA) $(OBJDIR_NORMAL_LIB) $(DEST_LIBDIR)
--- slang-1.4.9.orig/src/slang.h
+++ slang-1.4.9/src/slang.h
@@ -1316,10 +1316,20 @@
 extern int SLtt_Msdos_Cheap_Video;
 #endif
 
+#ifdef UTF8
+typedef int SLsmg_Char_Type;
+extern SLtt_Char_Type SLcurses_Acs_Map [128];
+#define acs_map  SLcurses_Acs_Map
+#define SLSMG_EXTRACT_CHAR(x) ((x) & 0xFFFFFF)
+#define SLSMG_EXTRACT_COLOR(x) (((x)>>24)&0xFF)
+#define SLSMG_BUILD_CHAR(ch,color) (((SLsmg_Char_Type)(wchar_t)(ch))|((color)<<24))
+#define SLSMG_NOCHAR 1
+#else
 typedef unsigned short SLsmg_Char_Type;
 #define SLSMG_EXTRACT_CHAR(x) ((x) & 0xFF)
 #define SLSMG_EXTRACT_COLOR(x) (((x)>>8)&0xFF)
 #define SLSMG_BUILD_CHAR(ch,color) (((SLsmg_Char_Type)(unsigned char)(ch))|((color)<<8))
+#endif /* UTF8 */
 
 extern int SLtt_flush_output (void);
 extern void SLtt_set_scroll_region(int, int);
@@ -1413,7 +1423,11 @@
 
 /*{{{ SLsmg Screen Management Functions */
 
+#ifdef UTF8
+extern void SLsmg_fill_region (int, int, unsigned int, unsigned int, wchar_t);
+#else
 extern void SLsmg_fill_region (int, int, unsigned int, unsigned int, unsigned char);
+#endif /* UTF8 */
 extern void SLsmg_set_char_set (int);
 #ifndef IBMPC_SYSTEM
 extern int SLsmg_Scroll_Hash_Border;
@@ -1431,7 +1445,12 @@
 extern void SLsmg_vprintf (char *, va_list);
 extern void SLsmg_write_string (char *);
 extern void SLsmg_write_nstring (char *, unsigned int);
+#ifdef UTF8
+extern void SLsmg_write_char (wchar_t);
+extern void SLsmg_write_nwchars (wchar_t *, unsigned int);
+#else
 extern void SLsmg_write_char (char);
+#endif
 extern void SLsmg_write_nchars (char *, unsigned int);
 extern void SLsmg_write_wrapped_string (char *, int, int, unsigned int, unsigned int, int);
 extern void SLsmg_cls (void);
@@ -1445,7 +1464,11 @@
 extern void SLsmg_set_screen_start (int *, int *);
 extern void SLsmg_draw_hline (unsigned int);
 extern void SLsmg_draw_vline (int);
+#ifdef UTF8
+extern void SLsmg_draw_object (int, int, SLsmg_Char_Type);
+#else
 extern void SLsmg_draw_object (int, int, unsigned char);
+#endif
 extern void SLsmg_draw_box (int, int, unsigned int, unsigned int);
 extern int SLsmg_get_column(void);
 extern int SLsmg_get_row(void);
@@ -1457,6 +1480,9 @@
 extern int SLsmg_Display_Eight_Bit;
 extern int SLsmg_Tab_Width;
 
+extern int SLsmg_Is_Unicode;
+extern int SLsmg_Setlocale;
+
 #define SLSMG_NEWLINE_IGNORED	0      /* default */
 #define SLSMG_NEWLINE_MOVES	1      /* moves to next line, column 0 */
 #define SLSMG_NEWLINE_SCROLLS	2      /* moves but scrolls at bottom of screen */
@@ -1514,31 +1540,106 @@
 #  define SLSMG_BOARD_CHAR	'#'
 #  define SLSMG_BLOCK_CHAR	'#'
 # else
-#  define SLSMG_HLINE_CHAR	'q'
-#  define SLSMG_VLINE_CHAR	'x'
-#  define SLSMG_ULCORN_CHAR	'l'
-#  define SLSMG_URCORN_CHAR	'k'
-#  define SLSMG_LLCORN_CHAR	'm'
-#  define SLSMG_LRCORN_CHAR	'j'
-#  define SLSMG_CKBRD_CHAR	'a'
-#  define SLSMG_RTEE_CHAR	'u'
-#  define SLSMG_LTEE_CHAR	't'
-#  define SLSMG_UTEE_CHAR	'w'
-#  define SLSMG_DTEE_CHAR	'v'
-#  define SLSMG_PLUS_CHAR	'n'
-#  define SLSMG_DIAMOND_CHAR	'`'
-#  define SLSMG_DEGREE_CHAR	'f'
-#  define SLSMG_PLMINUS_CHAR	'g'
-#  define SLSMG_BULLET_CHAR	'~'
-#  define SLSMG_LARROW_CHAR	','
-#  define SLSMG_RARROW_CHAR	'+'
-#  define SLSMG_DARROW_CHAR	'.'
-#  define SLSMG_UARROW_CHAR	'-'
-#  define SLSMG_BOARD_CHAR	'h'
-#  define SLSMG_BLOCK_CHAR	'0'
+
+#ifdef UTF8
+#  define SLSMG_HLINE_CHAR	(acs_map['q'])
+#  define SLSMG_VLINE_CHAR	(acs_map['x'])
+#  define SLSMG_ULCORN_CHAR	(acs_map['l'])
+#  define SLSMG_URCORN_CHAR	(acs_map['k'])
+#  define SLSMG_LLCORN_CHAR	(acs_map['m'])
+#  define SLSMG_LRCORN_CHAR	(acs_map['j'])
+#  define SLSMG_CKBRD_CHAR	(acs_map['a'])
+#  define SLSMG_RTEE_CHAR	(acs_map['u'])
+#  define SLSMG_LTEE_CHAR	(acs_map['t'])
+#  define SLSMG_UTEE_CHAR	(acs_map['v'])
+#  define SLSMG_DTEE_CHAR	(acs_map['w'])
+#  define SLSMG_PLUS_CHAR	(acs_map['n'])
+#  define SLSMG_DIAMOND_CHAR	(acs_map['`'])
+#  define SLSMG_DEGREE_CHAR	(acs_map['f'])
+#  define SLSMG_PLMINUS_CHAR	(acs_map['g'])
+#  define SLSMG_BULLET_CHAR	(acs_map['~'])
+#  define SLSMG_LARROW_CHAR	(acs_map[','])
+#  define SLSMG_RARROW_CHAR	(acs_map['+'])
+#  define SLSMG_DARROW_CHAR	(acs_map['.'])
+#  define SLSMG_UARROW_CHAR	(acs_map['-'])
+#  define SLSMG_BOARD_CHAR	(acs_map['h'])
+#  define SLSMG_BLOCK_CHAR	(acs_map['0'])
+
+# else
+#  define SLSMG_HLINE_CHAR     'q'
+#  define SLSMG_VLINE_CHAR     'x'
+#  define SLSMG_ULCORN_CHAR    'l'
+#  define SLSMG_URCORN_CHAR    'k'
+#  define SLSMG_LLCORN_CHAR    'm'
+#  define SLSMG_LRCORN_CHAR    'j'
+#  define SLSMG_CKBRD_CHAR     'a'
+#  define SLSMG_RTEE_CHAR      'u'
+#  define SLSMG_LTEE_CHAR      't'
+#  define SLSMG_UTEE_CHAR      'w'
+#  define SLSMG_DTEE_CHAR      'v'
+#  define SLSMG_PLUS_CHAR      'n'
+#  define SLSMG_DIAMOND_CHAR   '`'
+#  define SLSMG_DEGREE_CHAR    'f'
+#  define SLSMG_PLMINUS_CHAR   'g'
+#  define SLSMG_BULLET_CHAR    '~'
+#  define SLSMG_LARROW_CHAR    ','
+#  define SLSMG_RARROW_CHAR    '+'
+#  define SLSMG_DARROW_CHAR    '.'
+#  define SLSMG_UARROW_CHAR    '-'
+#  define SLSMG_BOARD_CHAR     'h'
+#  define SLSMG_BLOCK_CHAR     '0'
+#endif /* UTF8 */
+
+#  define SLSMG_HLINE_CHAR_TERM	'q'
+#  define SLSMG_VLINE_CHAR_TERM	'x'
+#  define SLSMG_ULCORN_CHAR_TERM	'l'
+#  define SLSMG_URCORN_CHAR_TERM	'k'
+#  define SLSMG_LLCORN_CHAR_TERM	'm'
+#  define SLSMG_LRCORN_CHAR_TERM	'j'
+#  define SLSMG_CKBRD_CHAR_TERM	'a'
+#  define SLSMG_RTEE_CHAR_TERM	'u'
+#  define SLSMG_LTEE_CHAR_TERM	't'
+#  define SLSMG_UTEE_CHAR_TERM	'v'
+#  define SLSMG_DTEE_CHAR_TERM	'w'
+#  define SLSMG_PLUS_CHAR_TERM	'n'
+#  define SLSMG_DIAMOND_CHAR_TERM	'`'
+#  define SLSMG_DEGREE_CHAR_TERM	'f'
+#  define SLSMG_PLMINUS_CHAR_TERM	'g'
+#  define SLSMG_BULLET_CHAR_TERM	'~'
+#  define SLSMG_LARROW_CHAR_TERM	','
+#  define SLSMG_RARROW_CHAR_TERM	'+'
+#  define SLSMG_DARROW_CHAR_TERM	'.'
+#  define SLSMG_UARROW_CHAR_TERM	'-'
+#  define SLSMG_BOARD_CHAR_TERM	'h'
+#  define SLSMG_BLOCK_CHAR_TERM	'0'
 # endif				       /* AMIGA */
 #endif				       /* IBMPC_SYSTEM */
 
+/* FIXME AMCK #ifdef UTF8 */
+# define SLSMG_HLINE_CHAR_UNICODE	0x2500
+# define SLSMG_VLINE_CHAR_UNICODE	0x2502
+# define SLSMG_ULCORN_CHAR_UNICODE	0x250c
+# define SLSMG_URCORN_CHAR_UNICODE	0x2510
+# define SLSMG_LLCORN_CHAR_UNICODE	0x2514
+# define SLSMG_LRCORN_CHAR_UNICODE	0x2518
+# define SLSMG_RTEE_CHAR_UNICODE	0x2524
+# define SLSMG_LTEE_CHAR_UNICODE	0x251c
+# define SLSMG_UTEE_CHAR_UNICODE	0x2534
+# define SLSMG_DTEE_CHAR_UNICODE	0x252c
+# define SLSMG_PLUS_CHAR_UNICODE	0x253c
+# define SLSMG_CKBRD_CHAR_UNICODE	0x2592
+# define SLSMG_DIAMOND_CHAR_UNICODE	0x25c6
+# define SLSMG_DEGREE_CHAR_UNICODE	0x00b0
+# define SLSMG_PLMINUS_CHAR_UNICODE	0x00b1
+# define SLSMG_BULLET_CHAR_UNICODE	0x00b7
+# define SLSMG_LARROW_CHAR_UNICODE	0x2190
+# define SLSMG_RARROW_CHAR_UNICODE	0x2192
+# define SLSMG_DARROW_CHAR_UNICODE	0x2193
+# define SLSMG_UARROW_CHAR_UNICODE	0x2191
+# define SLSMG_BOARD_CHAR_UNICODE	0x2592
+# define SLSMG_BLOCK_CHAR_UNICODE	0x25ae
+/* FIXME AMCK$ #endif */
+
 #ifndef IBMPC_SYSTEM
 # define SLSMG_COLOR_BLACK		0x000000
 # define SLSMG_COLOR_RED		0x000001
--- slang-1.4.9.orig/src/slcurses.h
+++ slang-1.4.9/src/slcurses.h
@@ -141,6 +141,7 @@
 
 extern int SLcurses_nodelay (SLcurses_Window_Type *, int);
 extern SLcurses_Window_Type *SLcurses_initscr (void);
+extern void SLcurses_init_acs_map (void);
 #define initscr SLcurses_initscr
 
 extern int SLcurses_cbreak (void);
--- slang-1.4.9.orig/src/slcurses.c
+++ slang-1.4.9/src/slcurses.c
@@ -331,40 +331,63 @@
    /* SLtt_set_mono (A_BLINK >> 8, NULL, SLTT_BLINK_MASK); */
    SLtt_set_mono ((A_BOLD|A_UNDERLINE) >> 8, NULL, SLTT_ULINE_MASK|SLTT_BOLD_MASK);
    SLtt_set_mono ((A_REVERSE|A_UNDERLINE) >> 8, NULL, SLTT_ULINE_MASK|SLTT_REV_MASK);
+   
+   SLcurses_init_acs_map();
 
+   return SLcurses_Stdscr;
+}
+
+void SLcurses_init_acs_map()
+{
    if (SLtt_Has_Alt_Charset)
      {
-       SLcurses_Acs_Map[SLSMG_ULCORN_CHAR] = SLSMG_ULCORN_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_URCORN_CHAR] = SLSMG_URCORN_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_LLCORN_CHAR] = SLSMG_LLCORN_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_LRCORN_CHAR] = SLSMG_LRCORN_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_UTEE_CHAR] = SLSMG_UTEE_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_DTEE_CHAR] = SLSMG_DTEE_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_LTEE_CHAR] = SLSMG_LTEE_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_RTEE_CHAR] = SLSMG_RTEE_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_VLINE_CHAR] = SLSMG_VLINE_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_HLINE_CHAR] = SLSMG_HLINE_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_PLUS_CHAR] = SLSMG_PLUS_CHAR | A_ALTCHARSET;
-       SLcurses_Acs_Map[SLSMG_CKBRD_CHAR] = SLSMG_CKBRD_CHAR | A_ALTCHARSET;
+       if (SLsmg_Is_Unicode)
+         {
+           SLcurses_Acs_Map['l'] = SLSMG_ULCORN_CHAR_UNICODE;
+           SLcurses_Acs_Map['k'] = SLSMG_URCORN_CHAR_UNICODE;
+           SLcurses_Acs_Map['m'] = SLSMG_LLCORN_CHAR_UNICODE;
+           SLcurses_Acs_Map['j'] = SLSMG_LRCORN_CHAR_UNICODE;
+           SLcurses_Acs_Map['v'] = SLSMG_UTEE_CHAR_UNICODE;
+           SLcurses_Acs_Map['w'] = SLSMG_DTEE_CHAR_UNICODE;
+           SLcurses_Acs_Map['t'] = SLSMG_LTEE_CHAR_UNICODE;
+           SLcurses_Acs_Map['u'] = SLSMG_RTEE_CHAR_UNICODE;
+           SLcurses_Acs_Map['x'] = SLSMG_VLINE_CHAR_UNICODE;
+           SLcurses_Acs_Map['q'] = SLSMG_HLINE_CHAR_UNICODE;
+           SLcurses_Acs_Map['n'] = SLSMG_PLUS_CHAR_UNICODE;
+           SLcurses_Acs_Map['a'] = SLSMG_CKBRD_CHAR_UNICODE;
+         }
+       else
+	 {
+           SLcurses_Acs_Map['l'] = SLSMG_ULCORN_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['k'] = SLSMG_URCORN_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['m'] = SLSMG_LLCORN_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['j'] = SLSMG_LRCORN_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['v'] = SLSMG_UTEE_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['w'] = SLSMG_DTEE_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['t'] = SLSMG_LTEE_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['u'] = SLSMG_RTEE_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['x'] = SLSMG_VLINE_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['q'] = SLSMG_HLINE_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['n'] = SLSMG_PLUS_CHAR_TERM | A_ALTCHARSET;
+           SLcurses_Acs_Map['a'] = SLSMG_CKBRD_CHAR_TERM | A_ALTCHARSET;
+         }
      }
    else
      {
        /* ugly defaults to use on terminals which don't support graphics */
-       SLcurses_Acs_Map[SLSMG_ULCORN_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_URCORN_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_LLCORN_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_LRCORN_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_UTEE_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_DTEE_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_LTEE_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_RTEE_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_VLINE_CHAR] = '|';
-       SLcurses_Acs_Map[SLSMG_HLINE_CHAR] = '-';
-       SLcurses_Acs_Map[SLSMG_PLUS_CHAR] = '+';
-       SLcurses_Acs_Map[SLSMG_CKBRD_CHAR] = '#';
+       SLcurses_Acs_Map['l'] = '+';
+       SLcurses_Acs_Map['k'] = '+';
+       SLcurses_Acs_Map['m'] = '+';
+       SLcurses_Acs_Map['j'] = '+';
+       SLcurses_Acs_Map['v'] = '+';
+       SLcurses_Acs_Map['w'] = '+';
+       SLcurses_Acs_Map['t'] = '+';
+       SLcurses_Acs_Map['u'] = '+';
+       SLcurses_Acs_Map['x'] = '|';
+       SLcurses_Acs_Map['q'] = '-';
+       SLcurses_Acs_Map['n'] = '+';
+       SLcurses_Acs_Map['a'] = '#';
      }
-
-   return SLcurses_Stdscr;
 }
 
 int SLcurses_wattrset (SLcurses_Window_Type *w, SLtt_Char_Type ch)
@@ -489,20 +512,130 @@
 
 static int do_newline (SLcurses_Window_Type *w)
 {
-   w->_curx = 0;
+   /* w->_curx = 0; */ 
    w->_cury += 1;
    if (w->_cury >= w->scroll_max)
      {
 	w->_cury = w->scroll_max - 1;
-	if (w->scroll_ok)
+	if (w->scroll_ok) {
+	  w->_curx = 0;
 	  SLcurses_wscrl (w, 1);
+	}
+     }
+   else 
+     w->_curx = 0;
+
+   return 0;
+}
+
+#ifdef UTF8
+static int SLcurses_waddch1 (SLcurses_Window_Type *win,
+			     wchar_t ch, int color)
+{
+   SLsmg_Char_Type *b, *bmin, *bmax, *c;
+   int k;
+
+   if (win == NULL) return -1;
+
+   if (win->_cury >= win->nrows)
+     {
+	/* Curses seems to move current postion to top of window. */
+	win->_cury = win->_curx = 0;
+	return -1;
+     }
+
+   win->modified = 1;
+
+   if (ch < ' ')
+     {
+	if (ch == '\n')
+	  {
+	     SLcurses_wclrtoeol (win);
+	     return do_newline (win);
+	  }
+
+	if (ch == '\r')
+	  {
+	     win->_curx = 0;
+	     return 0;
+	  }
+
+	if (ch == '\b')
+	  {
+	     if (win->_curx > 0)
+	       win->_curx--;
+
+	     return 0;
+	  }
+
+	/* HACK HACK!!!! */
+	if (ch == '\t') ch = ' ';
      }
 
+   k = wcwidth(ch);
+
+   if (!k)
+     return 0; /* ignore combining characters for now */
+
+   if (k > win->ncols)
+     return 0; /* character wider than window */
+
+   if (win->_curx + k > win->ncols) {
+     if (win->_curx < win->ncols)
+       SLcurses_wclrtoeol(win);
+     do_newline (win);
+   }
+
+   bmin = win->lines[win->_cury];
+   b = bmin + win->_curx;
+   bmax = bmin + win->ncols;
+
+   /* Remove overwritten chars to left */
+   if (*b == SLSMG_NOCHAR) {
+     for (c = b - 1; c >= bmin && *c == SLSMG_NOCHAR; c--)
+       *c = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*c));
+     if (c >= bmin)
+       *c = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*c));
+   }
+
+   *b = SLSMG_BUILD_CHAR(ch,color);
+   win->_curx += k;
+   while (--k > 0)
+     *++b = SLSMG_NOCHAR;
+
+   /* Remove overwritten chars to right */
+   for (c = b + 1; c < bmax && *c == SLSMG_NOCHAR; c++)
+     *c = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*c));
+
    return 0;
 }
 
 int SLcurses_waddch (SLcurses_Window_Type *win, SLtt_Char_Type attr)
 {
+   SLsmg_Char_Type ch, color;
+
+   if (win == NULL) return -1;
+
+   ch = SLSMG_EXTRACT_CHAR(attr);
+
+   if (attr == ch)
+     color = win->color;
+   else
+     {
+	/* hack to pick up the default color for graphics chars */
+	if (((attr & A_COLOR) == 0) && ((attr & A_ALTCHARSET) != 0))
+	  {
+	     /* FIXME: priority=medium: Use SLSMG_?? instead of << */
+	     attr |= win->color << 8;
+	  }
+	color = map_attr_to_object (attr);
+     }
+
+   return SLcurses_waddch1 (win, ch, color);
+}
+#else
+int SLcurses_waddch (SLcurses_Window_Type *win, SLtt_Char_Type attr)
+{
    SLsmg_Char_Type *b, ch;
    SLsmg_Char_Type color;
 
@@ -567,6 +700,7 @@
 
    return 0;
 }
+#endif /* UTF8 */
 
 int SLcurses_wnoutrefresh (SLcurses_Window_Type *w)
 {
@@ -626,7 +760,11 @@
 
 int SLcurses_wclrtoeol (SLcurses_Window_Type *w)
 {
-   SLsmg_Char_Type *b, *bmax;
+#ifdef UTF8
+   SLsmg_Char_Type *b, *bmin, *bmax, *c;
+#else
+    SLsmg_Char_Type *b, *bmax;
+#endif /* UTF8 */
    SLsmg_Char_Type blank;
 
    if (w == NULL) return -1;
@@ -637,9 +775,23 @@
 
    blank = SLSMG_BUILD_CHAR(' ',w->color);
 
+#ifdef UTF8
+   bmin = w->lines[w->_cury];
+   b = bmin + w->_curx;
+   bmax = bmin + w->ncols;
+
+   /* Remove overwritten chars to left */
+   if (b < bmax && *b == SLSMG_NOCHAR) {
+     for (c = b - 1; c >= bmin && *c == SLSMG_NOCHAR; c--)
+       *c = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*c));
+     if (c >= bmin) 
+       *c = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*c));
+   }
+#else
    b = w->lines[w->_cury];
    bmax = b + w->ncols;
    b += w->_curx;
+#endif /* UTF8 */
 
    while (b < bmax) *b++ = blank;
    return 0;
@@ -726,6 +878,34 @@
    return 0;
 }
 
+#ifdef UTF8
+/* Note: if len is < 0, entire string will be used.
+ */
+int SLcurses_waddnstr (SLcurses_Window_Type *w, char *str, int len)
+{
+   size_t k;
+   wchar_t wc;
+   mbstate_t mbstate;
+
+   if ((w == NULL)
+       || (str == NULL))
+     return -1;
+
+   if (len < 0)
+     len = (char *)(-1) - str;
+
+   memset (&mbstate, 0, sizeof (mbstate));
+   while ((k = mbrtowc (&wc, str, len, &mbstate)) &&
+	  k != (size_t)(-1) &&
+	  k != (size_t)(-2))
+     {
+	SLcurses_waddch1 (w, wc, w->color);
+	str += k;
+	len -= k;
+     }
+   return k;
+}
+#else
 /* Note: if len is < 0, entire string will be used.
  */
 int SLcurses_waddnstr (SLcurses_Window_Type *w, char *str, int len)
@@ -807,6 +987,7 @@
 
    return 0;
 }
+#endif /* UTF8 */
 
 /* This routine IS NOT CORRECT.  It needs to compute the proper overlap
  * and copy accordingly.  Here, I just assume windows are same size.
@@ -901,12 +1082,36 @@
 
 int SLcurses_wdelch (SLcurses_Window_Type *w)
 {
-   SLsmg_Char_Type *p, *p1, *pmax;
-
+#ifdef UTF8
+   SLsmg_Char_Type *p, *p1, *pmin, *pmax, *q;
+#else
+    SLsmg_Char_Type *p, *p1, *pmax;
+#endif /* UTF8 */
+ 
+#ifdef UTF8
+   pmin = w->lines[w->_cury];
+   p = pmin + w->_curx;
+   pmax = pmin + w->ncols;
+
+   /* Remove overwritten chars to left */
+   if (p < pmax && *p == SLSMG_NOCHAR) {
+     for (q = p - 1; q >= pmin && *q == SLSMG_NOCHAR; q--)
+       *q = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*q));
+     if (q >= pmin)
+       *q = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*q));
+   }
+
+   /* Remove overwritten chars to right */
+   for (q = p + 1; q < pmax && *q == SLSMG_NOCHAR; q++)
+     *q = SLSMG_BUILD_CHAR(' ',SLSMG_EXTRACT_COLOR(*q));
+ 
+   p1 = p + 1;
+#else
    p = w->lines[w->_cury];
    pmax = p + w->ncols;
    p += w->_curx;
    p1 = p + 1;
+#endif /* UTF8 */
 
    while (p1 < pmax)
      {
@@ -933,12 +1138,12 @@
 
    while (pmax > p)
      {
-	*pmax = *p1;
+       *pmax = *p1; /* Doesn't this assign beyond the end of the line? */
 	pmax = p1;
 	p1--;
      }
 
-   if (p < pmax)
+   if (p < pmax) /* How could it be? */
      *p = SLSMG_BUILD_CHAR(ch, w->color);
 
    w->modified = 1;
--- slang-1.4.9.orig/src/sldisply.c
+++ slang-1.4.9/src/sldisply.c
@@ -9,6 +9,9 @@
 
 #include <time.h>
 #include <ctype.h>
+#ifdef UTF8
+#include <limits.h>
+#endif /* UTF8 */
 
 #if !defined(VMS) || (__VMS_VER >= 70000000)
 # include <sys/time.h>
@@ -1424,16 +1427,28 @@
    tt_write_string("\033[?3h");
 }
 
+#ifndef UTF8
 /* Highest bit represents the character set. */
-#define COLOR_MASK 0x7F00
-#define COLOR_OF(x) (((x)&COLOR_MASK)>>8)
+#  define COLOR_MASK 0x7F00
+#  define COLOR_OF(x) (((x)&COLOR_MASK)>>8)
+#else
+#  define COLOR_OF(x) (SLSMG_EXTRACT_COLOR(x) & 0x7F)
+#endif /* UTF8 */
+
 #define CHAR_OF(x) ((x)&0x80FF)
 
 #if SLTT_HAS_NON_BCE_SUPPORT
+#ifdef UTF8
+static int bce_color_eqs (SLsmg_Char_Type a, SLsmg_Char_Type b)
+{
+    a = SLSMG_EXTRACT_COLOR(a) & 0x7F;
+    b = SLSMG_EXTRACT_COLOR(b) & 0x7F;
+#else
 static int bce_color_eqs (unsigned int a, unsigned int b)
 {
    a = COLOR_OF(a);
    b = COLOR_OF(b);
+#endif /* UTF8 */
    
    if (a == b)
      return 1;
@@ -1459,8 +1474,15 @@
     :  (Ansi_Color_Map[COLOR_OF(a)].mono == Ansi_Color_Map[COLOR_OF(b)].mono))
 #endif
 
+
+#ifdef UTF8
+#define CHAR_EQS(a, b) ((a) == (b)\
+ 			|| (SLSMG_EXTRACT_CHAR(a) == SLSMG_EXTRACT_CHAR(b)\
+ 			    && COLOR_EQS((a), (b))))
+#else
 #define CHAR_EQS(a, b) (((a) == (b))\
 			|| ((CHAR_OF(a)==CHAR_OF(b)) && COLOR_EQS(a,b)))
+#endif
 
 /* The whole point of this routine is to prevent writing to the last column
  * and last row on terminals with automatic margins.
@@ -1488,9 +1510,62 @@
    tt_write (str, len);
 }
 
+#ifdef UTF8
+/* FIXME: This duplicates the function above
+ */
+static void write_wstring_with_care (SLsmg_Char_Type *str, unsigned int len)
+{
+   mbstate_t mbstate; 
+   if (str == NULL) return;
+
+   if (Automatic_Margins && (Cursor_r + 1 == SLtt_Screen_Rows))
+     {
+	if (len + (unsigned int) Cursor_c >= (unsigned int) SLtt_Screen_Cols)
+	  {
+	     /* For now, just do not write there.  Later, something more
+	      * sophisticated will be implemented.
+	      */
+	     if (SLtt_Screen_Cols > Cursor_c)
+	       {
+		  len = SLtt_Screen_Cols - Cursor_c - 1;
+		  while (len > 0 && str[len] == SLSMG_NOCHAR)
+		    --len;
+	       }
+	     else len = 0;
+	  }
+     }
+
+   memset (&mbstate, 0, sizeof (mbstate));
+   while (len--)
+     {
+        SLsmg_Char_Type c = *str++;
+	char buf[MB_LEN_MAX];
+	size_t n;
+
+	if (c == SLSMG_NOCHAR)
+	  continue;
+
+        if (!SLsmg_Is_Unicode && (Current_Fgbg & SLTT_ALTC_MASK)) {
+          buf[0] = (unsigned char) c;
+          n = 1;
+        } else
+          n = wcrtomb (buf, c, &mbstate);
+	if (n == (size_t)(-1))
+	  break;
+
+	tt_write(buf, n);
+     }
+}
+#endif /* UTF8 */
+
 static void send_attr_str (SLsmg_Char_Type *s)
 {
+
+#ifdef UTF8
+   SLsmg_Char_Type out[SLTT_MAX_SCREEN_COLS], ch, *p;
+#else
    unsigned char out[SLTT_MAX_SCREEN_COLS], ch, *p;
+#endif
    register SLtt_Char_Type attr;
    register SLsmg_Char_Type sh;
    int color, last_color = -1;
@@ -1498,8 +1573,13 @@
    p = out;
    while (0 != (sh = *s++))
      {
+#ifdef UTF8
+	ch = SLSMG_EXTRACT_CHAR(sh);
+	color = SLSMG_EXTRACT_COLOR(sh);
+#else
 	ch = sh & 0xFF;
 	color = ((int) sh & 0xFF00) >> 8;
+#endif /* UTF8 */
 
 #if SLTT_HAS_NON_BCE_SUPPORT
 	if (Bce_Color_Offset
@@ -1512,7 +1592,11 @@
 	     if (SLtt_Use_Ansi_Colors) attr = Ansi_Color_Map[color & 0x7F].fgbg;
 	     else attr = Ansi_Color_Map[color & 0x7F].mono;
 
-	     if (sh & 0x8000) /* alternate char set */
+#ifdef UTF8
+	     if (SLSMG_EXTRACT_COLOR(sh) & 0x80) /* alternate char set */
+#else
+ 	     if (sh & 0x8000) /* alternate char set */
+#endif /* UTF8 */
 	       {
 		  if (SLtt_Use_Blink_For_ACS)
 		    {
@@ -1534,8 +1618,12 @@
 		    {
 		       if (p != out)
 			 {
+#ifdef UTF8
+			    write_wstring_with_care (out, p-out);
+#else
 			    *p = 0;
 			    write_string_with_care ((char *) out);
+#endif /* UTF8 */
 			    Cursor_c += (int) (p - out);
 			    p = out;
 			 }
@@ -1558,8 +1646,12 @@
 	  }
 	*p++ = ch;
      }
+#ifdef UTF8
+   if (p != out) write_wstring_with_care (out, p-out);
+#else
    *p = 0;
    if (p != out) write_string_with_care ((char *) out);
+#endif /* UTF8 */
    Cursor_c += (int) (p - out);
 }
 
@@ -1686,7 +1778,11 @@
 
 	while (qq < qmax)
 	  {
-	     if (*qq & 0xFF00)
+#ifdef UTF8
+	     if (SLSMG_EXTRACT_COLOR(*qq))
+#else
+ 	     if (*qq & 0xFF00)
+#endif /* UTF8 */
 	       {
 		  SLtt_normal_video ();
 		  SLtt_del_eol ();
--- slang-1.4.9.orig/src/slsmg.c
+++ slang-1.4.9/src/slsmg.c
@@ -10,6 +10,9 @@
 
 #include "slang.h"
 #include "_slang.h"
+#include "slcurses.h"
+
+#include <locale.h>
 
 typedef struct Screen_Type
   {
@@ -38,9 +41,9 @@
 					*/
 
 #ifndef IBMPC_SYSTEM
-#define ALT_CHAR_FLAG 0x80
+static int ALT_CHAR_FLAG=0x80;
 #else
-#define ALT_CHAR_FLAG 0x00
+static int ALT_CHAR_FLAG=0x00;
 #endif
 
 #if SLTT_HAS_NON_BCE_SUPPORT && !defined(IBMPC_SYSTEM)
@@ -48,6 +51,8 @@
 static int Bce_Color_Offset;
 #endif
 
+int SLsmg_Is_Unicode = 0;
+int SLsmg_Setlocale = 1;
 int SLsmg_Newline_Behavior = 0;
 int SLsmg_Backspace_Moves = 0;
 /* Backward compatibility. Not used. */
@@ -178,6 +183,8 @@
      return;/* alt chars not used and the alt bit
 	     * is used to indicate a blink.
 	     */
+   if (SLsmg_Is_Unicode)
+       ALT_CHAR_FLAG=0x00;
 
    if (i) This_Alt_Char = ALT_CHAR_FLAG;
    else This_Alt_Char = 0;
@@ -219,6 +226,38 @@
    SLsmg_write_nchars (str, strlen (str));
 }
 
+#ifdef UTF8
+void SLsmg_write_nstring (char *str, unsigned int n)
+{
+   char blank = ' ';
+   mbstate_t mbstate;
+
+   /* Avoid a problem if a user accidently passes a negative value */
+   if ((int) n < 0)
+     return;
+
+   if (str != NULL)
+     {
+	wchar_t wc;
+	size_t k;
+	int w;
+
+	memset (&mbstate, 0, sizeof (mbstate));
+        while ((k = mbrtowc (&wc, str, MB_LEN_MAX, &mbstate)) &&
+	       k != (size_t)(-1) &&
+	       k != (size_t)(-2))
+	  {
+	     w = wcwidth(wc);
+	     if (w < 0 || w > n)
+	       break;
+	     SLsmg_write_nwchars (&wc, 1);
+	     str += k;
+	     n -= w;
+	  }
+     }
+   while (n-- > 0) SLsmg_write_nchars (&blank, 1);
+}
+#else
 void SLsmg_write_nstring (char *str, unsigned int n)
 {
    unsigned int width;
@@ -237,7 +276,11 @@
      }
    while (width++ < n) SLsmg_write_nchars (&blank, 1);
 }
-
+#endif /* UTF8 */
+ 
+#ifdef UTF8
+/* FIXME: This function not UTF8'd yet - Edmund */
+#endif /* UTF8 */
 void SLsmg_write_wrapped_string (char *s, int r, int c,
 				 unsigned int dr, unsigned int dc,
 				 int fill)
@@ -296,6 +339,130 @@
 int SLsmg_Display_Eight_Bit = 128;
 #endif
 
+#ifdef UTF8
+void SLsmg_write_nwchars (wchar_t *str, unsigned int n)
+{
+  SLsmg_Char_Type *p, *prev, *q;
+  int len, max_len, w, i;
+  wchar_t ch;
+
+#ifndef IBMPC_SYSTEM
+   int alt_char_set_flag;
+
+   if (SLsmg_Is_Unicode)
+     ALT_CHAR_FLAG = 0x00;
+   alt_char_set_flag = ((This_Color & ALT_CHAR_FLAG)
+			&& ((tt_Use_Blink_For_ACS == NULL)
+			    || (*tt_Use_Blink_For_ACS == 0)));
+#endif
+
+  if (Smg_Inited == 0)
+    return;
+  if (This_Row < Start_Row || This_Row >= Start_Row + Screen_Rows)
+    return;
+
+  max_len = Start_Col + Screen_Cols;
+  len = This_Col;
+
+       
+  p = SL_Screen[This_Row - Start_Row].neew;
+  if (len > Start_Col) p += len - Start_Col;
+  prev = 0;
+
+  for (i = 0; i < n; i++, str) {
+    ch = *str++;
+#ifndef IBMPC_SYSTEM
+    if (alt_char_set_flag) {
+      ch = Alt_Char_Set[ch & 0x7F];
+      w = 1;
+    } else
+#endif
+    w = wcwidth(ch);
+
+    if (w > 0) {
+      if (len + w <= max_len) {
+	if (!prev) {
+	  for (q = p; *q == SLSMG_NOCHAR; q--)
+	    *q = SLSMG_BUILD_CHAR(' ', SLSMG_EXTRACT_COLOR(*q));
+	  *q = SLSMG_BUILD_CHAR(' ', SLSMG_EXTRACT_COLOR(*q));
+	}
+	prev = p;
+	*p++ = SLSMG_BUILD_CHAR(ch, This_Color), ++len;
+	for (; --w; len++, p++)
+	  *p = SLSMG_NOCHAR;
+      }
+      else if (len < max_len) {
+	for (; len < max_len; len++, p++)
+	  *p = SLSMG_BUILD_CHAR(' ', SLSMG_EXTRACT_COLOR(*p));
+	prev = 0;
+      }
+    }
+    else if (ch == '\n' &&
+	     SLsmg_Newline_Behavior != SLSMG_NEWLINE_PRINTABLE) {
+      SL_Screen[This_Row - Start_Row].flags |= TOUCHED;
+      for (; len < max_len && *p == SLSMG_NOCHAR; len++, p++)
+	*p = SLSMG_BUILD_CHAR(' ', SLSMG_EXTRACT_COLOR(*p));
+      if (!SLsmg_Newline_Behavior)
+	break;
+      ++This_Row;
+      len = 0;
+      if (This_Row == Start_Row + Screen_Rows) {
+	if (SLsmg_Newline_Behavior == SLSMG_NEWLINE_SCROLLS)
+	  scroll_up();
+	else
+	  break;
+      }
+      p = SL_Screen[This_Row - Start_Row].neew;
+      prev = 0;
+    }
+    else if (ch == '\t' && (SLsmg_Tab_Width > 0)) {
+      while (len < max_len) {
+	*p = SLSMG_BUILD_CHAR(' ', SLSMG_EXTRACT_COLOR(*p));
+	++p, ++len;
+	if (len % SLsmg_Tab_Width == 0)
+	  break;
+      }
+    }
+    else if ((ch == 0x8) && SLsmg_Backspace_Moves) {
+      /* not implemented */
+    }
+    else if (!w && ch) {
+      /* we could handle combining characters here, using prev */
+    }
+    else {
+      /* we should convert control characters to printable form here */
+    }
+  }
+  This_Col = len;
+  if (i == n) {
+    SL_Screen[This_Row - Start_Row].flags |= TOUCHED;
+    for (; len < max_len && *p == SLSMG_NOCHAR; len++, p++)
+      *p = SLSMG_BUILD_CHAR(' ', SLSMG_EXTRACT_COLOR(*p));
+  }
+}
+
+void SLsmg_write_char (wchar_t wc)
+{
+   SLsmg_write_nwchars (&wc, 1);
+}
+
+void SLsmg_write_nchars (char *str, unsigned int n)
+{
+   wchar_t wc;
+   size_t k;
+   mbstate_t mbstate;
+
+   memset (&mbstate, 0, sizeof (mbstate));
+   while ((k = mbrtowc (&wc, str, n, &mbstate)) &&
+	  k != (size_t)(-1) &&
+	  k != (size_t)(-2))
+     {
+        SLsmg_write_nwchars (&wc, 1);
+	str += k;
+	n -= k;
+     }
+}
+#else
 void SLsmg_write_nchars (char *str, unsigned int n)
 {
    register SLsmg_Char_Type *p, old, neew, color;
@@ -469,6 +636,7 @@
 {
    SLsmg_write_nchars (&ch, 1);
 }
+#endif /* UTF8 */
 
 static int Cls_Flag;
 
@@ -885,6 +1053,10 @@
 	     This_Color = color;
 	  }
 
+#ifdef UTF8
+	/* FIXME: We should convert broken wide characters to spaces
+	   before calling smart_puts */
+#endif /* UTF8 */
 	SL_Screen[i].old[Screen_Cols] = 0;
 	SL_Screen[i].neew[Screen_Cols] = 0;
 
@@ -1058,6 +1230,20 @@
    Smg_Inited = 0;
 }
 
+static void SLsmg_check_unicode(void)
+{
+    char *s,*t;
+    
+    if (SLsmg_Setlocale)
+		s = setlocale(LC_ALL, "");
+    else
+		s = setlocale(LC_ALL, NULL);
+    if (s && (strstr(s,"UTF-8") || strstr(s,"utf8"))) {
+	    SLsmg_Is_Unicode = 1;
+	    return;
+    }
+    SLsmg_Is_Unicode = 0;
+}
 
 static int init_smg (void)
 {
@@ -1079,6 +1265,8 @@
    This_Col = This_Row = Start_Col = Start_Row = 0;
 
    This_Alt_Char = 0;
+   SLsmg_check_unicode ();
+   SLcurses_init_acs_map ();
    SLsmg_set_color (0);
    Cls_Flag = 1;
 #ifndef IBMPC_SYSTEM
@@ -1223,7 +1411,11 @@
      }
 }
 
+#ifdef UTF8
+void SLsmg_draw_object (int r, int c, SLsmg_Char_Type object)
+#else
 void SLsmg_draw_object (int r, int c, unsigned char object)
+#endif
 {
    This_Row = r;  This_Col = c;
 
@@ -1242,7 +1434,7 @@
 
 void SLsmg_draw_hline (unsigned int n)
 {
-   static unsigned char hbuf[16];
+   SLsmg_Char_Type ch = SLSMG_HLINE_CHAR;
    int count;
    int cmin, cmax;
    int final_col = This_Col + (int) n;
@@ -1258,11 +1450,6 @@
 	return;
      }
 
-   if (hbuf[0] == 0)
-     {
-	SLMEMSET ((char *) hbuf, SLSMG_HLINE_CHAR, 16);
-     }
-
    n = (unsigned int)(cmax - cmin);
    count = n / 16;
 
@@ -1270,10 +1457,10 @@
    This_Color |= ALT_CHAR_FLAG;
    This_Col = cmin;
 
-   SLsmg_write_nchars ((char *) hbuf, n % 16);
-   while (count-- > 0)
+   SLsmg_draw_object(This_Row, This_Col, ch);
+   while (n-- > 0)
      {
-	SLsmg_write_nchars ((char *) hbuf, 16);
+	SLsmg_draw_object(This_Row, This_Col, ch);
      }
 
    This_Color = save_color;
@@ -1282,7 +1469,7 @@
 
 void SLsmg_draw_vline (int n)
 {
-   unsigned char ch = SLSMG_VLINE_CHAR;
+   SLsmg_Char_Type ch = SLSMG_VLINE_CHAR;
    int c = This_Col, rmin, rmax;
    int final_row = This_Row + n;
    int save_color;
@@ -1303,7 +1490,7 @@
    for (This_Row = rmin; This_Row < rmax; This_Row++)
      {
 	This_Col = c;
-	SLsmg_write_nchars ((char *) &ch, 1);
+	SLsmg_draw_object (This_Row, This_Col, ch);
      }
 
    This_Col = c;  This_Row = final_row;
@@ -1329,9 +1516,16 @@
    This_Row = r; This_Col = c;
 }
 
+#ifdef UTF8
+void SLsmg_fill_region (int r, int c, unsigned int dr, unsigned int dc, wchar_t ch)
+{
+   static wchar_t hbuf[16];
+   int i;
+#else
 void SLsmg_fill_region (int r, int c, unsigned int dr, unsigned int dc, unsigned char ch)
 {
    static unsigned char hbuf[16];
+#endif /* UTF8 */
    int count;
    int dcmax, rmax;
 
@@ -1352,16 +1546,30 @@
 #if 0
    ch = Alt_Char_Set[ch];
 #endif
+#ifdef UTF8
+   if (ch != hbuf[0])
+     for (i = 0; i < 16; i++)
+       hbuf[i] = ch;
+#else
    if (ch != hbuf[0]) SLMEMSET ((char *) hbuf, (char) ch, 16);
+#endif /* UTF8 */
 
    for (This_Row = r; This_Row < rmax; This_Row++)
      {
 	This_Col = c;
 	count = dc / 16;
-	SLsmg_write_nchars ((char *) hbuf, dc % 16);
+#ifdef UTF8
+	SLsmg_write_nwchars (hbuf, dc % 16);
+#else
+ 	SLsmg_write_nchars ((char *) hbuf, dc % 16);
+#endif /* UTF8 */
 	while (count-- > 0)
 	  {
-	     SLsmg_write_nchars ((char *) hbuf, 16);
+#ifdef UTF8
+	     SLsmg_write_nwchars (hbuf, 16);
+#else
+ 	     SLsmg_write_nchars ((char *) hbuf, 16);
+#endif /* UTF8 */
 	  }
      }
 
@@ -1376,14 +1584,22 @@
 void SLsmg_write_color_chars (SLsmg_Char_Type *s, unsigned int len)
 {
    SLsmg_Char_Type *smax, sh;
+#ifdef UTF8
+   wchar_t buf[32], *b, *bmax;
+#else
    char buf[32], *b, *bmax;
+#endif /* UTF8 */
    int color, save_color;
 
    if (Smg_Inited == 0) return;
 
    smax = s + len;
    b = buf;
+#ifdef UTF8
+   bmax = b + sizeof (buf) / sizeof (SLsmg_Char_Type);
+#else
    bmax = b + sizeof (buf);
+#endif /* UTF8 */
 
    save_color = This_Color;
 
@@ -1407,16 +1623,28 @@
 	  {
 	     if (b != buf)
 	       {
-		  SLsmg_write_nchars (buf, (int) (b - buf));
+#ifdef UTF8
+		  SLsmg_write_nwchars (buf, (int) (b - buf));
+#else
+ 		  SLsmg_write_nchars (buf, (int) (b - buf));
+#endif /* UTF8 */
 		  b = buf;
 	       }
 	     This_Color = color;
 	  }
-	*b++ = (char) SLSMG_EXTRACT_CHAR(sh);
+#ifdef UTF8
+	*b++ = SLSMG_EXTRACT_CHAR(sh);
+#else
+ 	*b++ = (char) SLSMG_EXTRACT_CHAR(sh);
+#endif /* UTF8 */
      }
 
    if (b != buf)
+#ifdef UTF8
+     SLsmg_write_nwchars (buf, (unsigned int) (b - buf));
+#else
      SLsmg_write_nchars (buf, (unsigned int) (b - buf));
+#endif /* UTF8 */
 
    This_Color = save_color;
 }
@@ -1468,7 +1696,11 @@
 SLsmg_set_color_in_region (int color, int r, int c, unsigned int dr, unsigned int dc)
 {
    int cmax, rmax;
+#ifdef UTF8
+   int color_mask;
+#else
    SLsmg_Char_Type char_mask;
+#endif /* UTF8 */
 
    if (Smg_Inited == 0) return;
 
@@ -1493,14 +1725,22 @@
 	  color = ((color & 0x7F) + Bce_Color_Offset) & 0x7F;
      }
 #endif
+#ifdef UTF8
+   color_mask = 0;
+#else
    color = color << 8;
 
    char_mask = 0xFF;
+#endif /* UTF8 */
 
 #ifndef IBMPC_SYSTEM
    if ((tt_Use_Blink_For_ACS == NULL)
        || (0 == *tt_Use_Blink_For_ACS))
+#ifdef UTF8
+     color_mask = 0x80;
+#else
      char_mask = 0x80FF;
+#endif /* UTF8 */
 #endif
 
    while (r < rmax)
@@ -1514,7 +1754,13 @@
 
 	while (s < smax)
 	  {
+#ifdef UTF8
+	     *s = SLSMG_BUILD_CHAR(SLSMG_EXTRACT_CHAR(*s),
+				   (SLSMG_EXTRACT_COLOR(*s) & color_mask)
+				   | color);
+#else
 	     *s = (*s & char_mask) | color;
+#endif /* UTF8 */
 	     s++;
 	  }
 	r++;
--- slang-1.4.9.orig/debian/changelog
+++ slang-1.4.9/debian/changelog
@@ -0,0 +1,292 @@
+slang (1.4.9-2) unstable; urgency=low
+
+  * The "more to Debian than Linux" release. 
+  * Produce the right udeb filename for hurd-i386. Closes: #213429.
+  * Fix incorrect dependency on libc6-dev which breaks hurd. Closes: #212356.
+  * Remove ELF_DEP_LIBS override from debian/rules that broke NetBSD;
+    Closes: #130616.
+  * aclocal.m4 patch for GNU/K*BSD support. Closes: #195276.
+
+ -- Alastair McKinstry <mckinstry@debian.org>  Wed,  1 Oct 2003 19:35:00 +0000
+
+slang (1.4.9-1) unstable; urgency=low
+
+  * New upstream release, 1.4.9. Closes: #208219.
+  * Moved to Standards-Version: 3.6.1
+  * New co-maintainer,  Alastair McKinstry <mckinstry@debian.org> 
+  * Co-Maintainer upload; acknowledging NMUs. Closes: #208887, #100563, #177405
+      #177462, #100563, #131379, #131380, #102595, #122976, #128255, #133031
+      #122495, #129694, #134009, #127938.
+  * Change priority of slang1 to standard, slang1-pic, slang1-utf8-dev and slang1a-utf8-udeb  
+      to extra. Changed slang1-pic , slang1-utf8-pic and Section to libdevel.
+      Priority changes required by policy as slang1a-utf8 now required; Section changes
+      recommended by overrides. Closes: #208887.
+  * Don't use dh_testroot in clean target, debian/rules. Closes: #178251.
+  * Patch from Nikita V. Youshchenko to display geometric chars properly.
+    Closes: #195010, #187704, #201767, #202218, #189330.
+  * Add changelog entry to show NMU 1.4.4-3.1 occured. Closes: #119944.
+  * To satisfy lintian: Removed superflous full stops from Descriptions; 
+    removed obsolete and redundant dh_suidregister call.
+
+ -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2003 21:24:19 +0100
+
+slang (1.4.5-2.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Change priority of  slang1a-utf8 from 'extra' to 'required', to avoid breaking
+    policy.  The required package util-linux need to build against slang-utf8
+    to get debian-installer to work, and the 'required' priority need to propagate
+    to its dependencies as well. (Closes: #208887)
+
+ -- Petter Reinholdtsen <pere@debian.org>  Sat,  6 Sep 2003 11:07:03 +0200
+
+slang (1.4.5-2.1) unstable; urgency=low
+
+  * NMU
+  * Make pic library name standard. Needed for debian-installer
+    to work properly. Closes: #100563.
+
+ -- Alastair McKinstry <mckinstry@computer.org>  Mon, 14 Jul 2003 17:45:56 +0100
+
+slang (1.4.5-2) unstable; urgency=low
+
+  * Added patch from RH9 for line draw characters.  Needed for newt-0.51
+    compile.  (Closes: #189330)  Thanks to Alastair McKinstry.
+
+ -- Jim Mintha <jmintha@debian.org>  Sat, 19 Apr 2003 04:47:37 +0200
+
+slang (1.4.5-1.1) unstable; urgency=low
+
+  * NMU
+  * Add slang1a-utf8-udeb package for debian-installer. Based on a patch
+    from Thomas Viehmann <tv@beamnet.de> (Closes: #177405, #177462)
+
+ -- Martin Sjogren <sjogren@debian.org>  Sun,  6 Apr 2003 11:22:43 +0200
+
+slang (1.4.5-1) unstable; urgency=low
+
+  * New upstream version (closes: #130752)
+  * added slang.txt and slangfun.txt to slang1 package and removed
+    from -dev (since -dev depends on slang1) (closes: #67675)
+  * fixes typos in docs (closes: #131751, #131757)
+
+ -- Jim Mintha <jmintha@debian.org>  Sat, 13 Jul 2002 01:32:12 +0200
+
+slang (1.4.4-7.2) unstable; urgency=low
+
+  * NMU
+  * re-uploading with a new version number to fix the
+    uninstallable mutt-utf8 bug introduced from a typo in the
+    last NMU.
+    (closes: #134009)
+
+ -- Junichi Uekawa <dancer@debian.org>  Fri, 15 Feb 2002 21:27:58 +0900
+
+slang (1.4.4-7.1) unstable; urgency=low
+
+  * NMU to fix release-critical bugs.
+  * slang1-utf8 and slang1 will coexist with each other!
+  * slang1-utf8-dev and slag1-dev will not coexist with each other.
+  * slang1-utf8-dev will not be satisfied with slang1.
+  * debian/slang.h.extra.in: some extra checking appended to slang.h 
+    for utf-8 compat. /usr/include/slang.h checks for -DUTF8 status.
+  * slang1-utf8 does no longer divert slang1. It's not a simple replacement.
+  * shlibs file were generated incorrectly, fix it.
+  * slang1-utf8 package is now slang1a-utf8 to indicate incompatible 
+    soname.
+  * the diversion is no longer needed. Package name is renamed, so the
+    old package should be able to clean up by themselves.
+  * I really recommend rebuilding against this version. This 
+    modification definitely requires rebuild for boot-floppies, and
+    mutt.
+  * slang1-utf8 libraries have a soname of libslang.so.1-UTF8 now.
+  * The above fixes the -utf8 and nonutf8 version mixture bugs,
+    (closes: #122976, #131379, #129694)
+  * shlibs information is now correct (closes: #131380, #127938)
+
+ -- Junichi Uekawa <dancer@debian.org>  Tue, 29 Jan 2002 18:49:50 +0900
+
+slang (1.4.4-7) unstable; urgency=high
+
+  * Add -f for ln in preinst just in case (Closes: Bug#127717)
+  * Remove the binaries for the -dev examples (Closes: Bug#122343)
+
+ -- Jim Mintha <jmintha@debian.org>  Sat,  5 Jan 2002 01:10:04 +0100
+
+slang (1.4.4-6) unstable; urgency=high
+
+  * Make slang1-utf8 depend on slang1 and divert the library in
+    the preinstall. (Closes: Bug#115376, Bug#113815)
+  * Fix up various dependencies
+
+ -- Jim Mintha <jmintha@debian.org>  Sun, 14 Oct 2001 01:14:43 +0200
+
+slang (1.4.4-5) unstable; urgency=low
+
+  * Fix depends for slang1-utf8-pic (Closes: Bug#114680, Bug#113815)
+  * Fix misspelling of licenses
+
+ -- Jim Mintha <jmintha@debian.org>  Sun,  7 Oct 2001 02:15:45 +0200
+
+slang (1.4.4-4) unstable; urgency=low
+
+  * Put back in UTF conditionally
+  * create both packages at once
+  * Added rule to update config.sub and config.guess on build
+
+ -- Jim Mintha <jmintha@debian.org>  Thu,  5 Jul 2001 02:36:13 +0200
+
+slang (1.4.4-3.1) unstable; urgency=low
+
+  * NMU; uploader details lost.
+    (Fixed #102595?)
+
+ -- Unknown. 
+ 
+slang (1.4.4-3) unstable; urgency=low
+
+  * Removed UTF support to seperate package.  It caused too many
+    incompatibilities with other programs.  Hopefully with some
+    work the UTF can be remerged again later.
+    (Closes: Bug#95112, Bug#95767, Bug#95770, Bug#95375,
+    Bug#96904, Bug#97232, Bug#95018, Bug#95145, Bug#99276,
+    Bug#98948, Bug#96337)
+
+ -- Jim Mintha <jmintha@debian.org>  Wed, 30 May 2001 23:58:53 +0200
+
+slang (1.4.4-2) unstable; urgency=low
+
+  * Add utf-8 wide character support (#93277)
+    Patch from: Edmund GRIMLEY EVANS <edmundo@rano.org>
+    http://www.rano.org/mutt/slang-1.4.4-ege2.diff.gz)
+
+ -- Jim Mintha <jmintha@debian.org>  Tue, 10 Apr 2001 02:17:08 +0200
+
+slang (1.4.4-1) unstable; urgency=low
+  * New upstream version (#87598)
+  * upstream and local fix for max 250 columns bug (#71512, #71511)
+  * clean up Makefiles the make distclean misses
+  * fix configure/acsite.m4 to recognize hurd
+  * should run ldconfig on postinstall
+
+ -- Jim Mintha <jmintha@debian.org>  Sun, 25 Feb 2001 22:35:02 +0100
+
+slang (1.4.1-1) unstable; urgency=low
+
+  * New upstream version (#65042)
+  * Added -s to call to make in rules to allow recursion and fix (#60822)
+  * supply a simple Makefile for examples (#60842)
+  * upstream fix to SLsmg_touch_lines fixes (#62771)
+
+ -- Jim Mintha <jmintha@debian.org>  Sat, 22 Jul 2000 23:47:26 +0200
+
+slang (1.3.9-1) unstable; urgency=low
+
+  * added -ldl to the rules file for slang1 as well (#47331, #47217)
+  * new upstream version (#46952)
+
+ -- Jim Mintha <jmintha@debian.org>  Thu, 14 Oct 1999 01:02:32 +0200
+
+slang (1.3.8-2) unstable; urgency=low
+
+  * Fixed bottom line not displaying bug (#33714, #39377, #43804)
+  * -dev and -pic files should depend on the version explicitly (#46889)
+
+ -- Jim Mintha <jmintha@debian.org>  Fri,  8 Oct 1999 00:37:10 +0200
+
+slang (1.3.8-1) unstable; urgency=low
+
+  * New upstream version
+  * Removed use of tsort in rules until tsort is fixed (see bug 43610)
+  * Changed rules to not use ldconfig -n which doesn't exist on hurd
+  * Change shlibs so that future 1.x version won't break dependancies
+  * Packages which depend on 1.2 will need to be recompiled because
+    the have a dependancy on slang << 1.3
+  * add -ldl to the shared library build
+
+ -- Jim Mintha <jmintha@debian.org>  Tue,  5 Oct 1999 11:56:28 +0200
+
+slang (1.2.2-3) unstable; urgency=low
+
+  * Removed the dependancy for slang << 1.3 in the shlib file
+    since 1.3 is compatible with 1.2
+
+ -- Jim Mintha <jmintha@debian.org>  Mon, 16 Aug 1999 23:26:38 +0200
+
+slang (1.2.2-2.1) unstable; urgency=low
+
+  * SPARC NMU to resolve the missing chown@@ symbol when compiling
+    with the new glibc 2.1.1
+
+ -- Ben Collins <bcollins@debian.org>  Tue, 11 May 1999 13:14:04 +0000
+
+slang (1.2.2-2) unstable; urgency=low
+
+  * Added define SLANG_HAS_KANJI_SUPPORT to enable Japanese compliance
+  * Added changes from J.H.M. Dassen in 0.3 that I missed.  They are:
+  * Fixed conflict with slang altdev (Fixes #26677).
+  * libslang.(a|so) are now in /usr/lib (Fixes #24078).
+  * Installed docs and examples in the -dev package. (Fixes #24220).
+
+ -- Jim Mintha <jmintha@debian.org>  Fri, 16 Oct 1998 00:40:35 -0700
+
+slang (1.2.2-1) unstable; urgency=low
+
+  * Maintainer release.
+  * include source code
+
+ -- Jim Mintha <jmintha@debian.org>  Fri, 16 Oct 1998 00:37:25 -0700
+
+slang (1.2.2-0.3) unstable; urgency=low
+
+  * New maintainer: Jim Mintha. Non-maintainer upload as Jim is currently
+    short on time.
+  * Fixed conflict with slang altdev (Fixes #26677).
+  * libslang.(a|so) are now in /usr/lib (Fixes #24078).
+  * Installed docs and examples in the -dev package. (Fixes #24220).
+
+ -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 14 Oct 1998 21:41:11 +0200
+
+slang (1.2.2-0.2) unstable; urgency=low
+
+  * Really fixed shlibs. (Fixes #22085).
+
+ -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue,  5 May 1998 15:07:55 +0200
+
+slang (1.2.2-0.1) unstable; urgency=low
+
+  * New upstream bugfix release.
+  * Corrected shlibs file.
+
+ -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed, 29 Apr 1998 11:38:56 +0200
+
+slang (1.2.1-0.2) unstable; urgency=low
+
+  * Added Conflicts: slang-dev6 (which is the virtual package
+    slang0.99.38-dev provided); the virtual package this provides is
+    "slang-dev". (fixes #21629)
+  * Fixed location of the include files (fixes 21630).
+  * Removed call of ldconfig in postrm (lintian).
+  * Changed name of changelog (lintian).
+
+ -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 25 Apr 1998 14:34:45 +0200
+
+slang (1.2.1-0.1) unstable; urgency=low
+
+  * First non-beta 1.0 version.
+
+ -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Fri, 24 Apr 1998 13:54:37 +0200
+
+slang (1.0.3-0.1) unstable; urgency=low
+
+  * Unreleased.
+  * Major new upstream release.
+  * libc6 only.
+  * Non-maintainer release.
+  * Build process cleaned up a lot; used debhelper.
+  * Though slang1 is not used by packages in base yet, I expect that to
+    happen soon (as it will take over the role of slang0.99.38); 
+    the Section and Priority reflect this already.
+
+ -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Wed,  1 Apr 1998 11:44:57 +0200
+
--- slang-1.4.9.orig/debian/rules
+++ slang-1.4.9/debian/rules
@@ -0,0 +1,175 @@
+#!/usr/bin/make -f
+# Made with the aid of dh_make, by Craig Small
+# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
+# This version is for a hypothetical package that builds an
+# architecture-dependant package, as well as an architecture-independant
+# package.
+
+# Uncomment this to turn on verbose mode. 
+export DH_VERBOSE=1
+export DH_COMPAT=3
+
+CC = gcc
+CFLAGS = -g -O2 -fno-strength-reduce -D_REENTRANT
+ELF_CFLAGS = $(CFLAGS) -fPIC
+
+# The original info is from src/slang.h
+SOMAJOR=1
+SOMINOR=4.9
+
+LIBSLANG=slang1
+LIBSLANG_UTF8=slang1a-utf8
+LIBSLANG_UTF8_UDEB=$(LIBSLANG_UTF8)-udeb
+
+DEBVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
+UDEBNAME=$(LIBSLANG_UTF8_UDEB)_$(DEBVERSION)_$(shell dpkg --print-architecture).udeb
+
+build: 
+	true;
+
+build-nonutf8: Makefile
+	dh_testdir
+
+	$(MAKE) clean
+	$(MAKE) CFLAGS="$(CFLAGS)" all demos
+	$(MAKE) ELF_CFLAGS="$(ELF_CFLAGS)" UTF8MODIFIER=""  prefix=/ elf
+	touch build-nonutf8
+
+build-utf8: Makefile
+	dh_testdir
+
+	$(MAKE) clean
+	$(MAKE) CFLAGS="$(CFLAGS) -DUTF8" all demos
+	$(MAKE) UTF8MODIFIER="-UTF8" ELF_CFLAGS="$(ELF_CFLAGS) -DUTF8"  prefix=/ elf
+	touch build-utf8
+
+Makefile:
+	dh_testdir
+	env CC="$(CC)" INSTALL="/usr/bin/install -p" \
+		./configure --prefix=/usr --enable-warnings
+
+clean:
+	dh_testdir
+	rm -f build-nonutf8 build-utf8 
+	rm -rf demo/objs src/elfobjs src/objs
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) distclean
+	rm -f demo/config.log demo/config.status demo/config.h
+	rm -f modules/Makefile slsc/Makefile slsh/Makefile
+	-test -r /usr/share/misc/config.sub && \
+	cp -f /usr/share/misc/config.sub autoconf/config.sub
+	-test -r /usr/share/misc/config.guess && \
+	cp -f /usr/share/misc/config.guess autoconf/config.guess
+
+	dh_clean -a
+
+# Build architecture-independent files here.
+binary-indep:
+	true
+
+# Build the non-utf8 version
+binary-nonutf8: build-nonutf8
+	dh_testdir -a
+	dh_testroot -a
+	dh_clean -p${LIBSLANG} -k
+	dh_clean -pslang1-dev -k
+	dh_clean -pslang1-pic -k
+	dh_installdirs -a
+
+	make prefix=`pwd`/debian/slang1-dev/usr \
+	     UTF8MODIFIER=""  install install-elf
+	(sed 's/@DEBIANUTF8ERRORCHECK@/#ifdef/' < debian/slang.h.extra.in; cat src/slang.h ) > `pwd`/debian/slang1-dev/usr/include/slang.h
+	chmod 644 `pwd`/debian/slang1-dev/usr/include/slang.h
+
+	mv debian/slang1-dev/usr/lib/libslang.so.* debian/${LIBSLANG}/lib
+
+	# The ldconfig symlink to make the library work ASAP.
+	cd debian/${LIBSLANG}/lib ; ln -sf libslang.so.$(SOMAJOR).$(SOMINOR) libslang.so.$(SOMAJOR)
+
+	# Correct the .so link for slang1-dev library -- required?
+	cd debian/slang1-dev/usr/lib ; ln -sf /lib/libslang.so.$(SOMAJOR).$(SOMINOR) libslang.so
+
+	# Produce the -pic archive for use by the bootfloppies package.
+	ar cqv debian/slang1-pic/usr/lib/libslang_pic.a src/elfobjs/*.o 
+
+# Build the utf8 version
+binary-utf8: build-utf8
+	dh_testdir -a
+	dh_testroot -a
+	dh_clean -p${LIBSLANG_UTF8} -k
+	dh_clean -pslang1-utf8-dev -k
+	dh_clean -pslang1-utf8-pic -k
+	dh_installdirs -a
+
+	# FIXME; was -DUTF-8 added to ELF_DEP_LIBS. Test this does not break anything
+	# make prefix=`pwd`/debian/slang1-utf8-dev/usr \
+	#              UTF8MODIFIER="-UTF8"  install install-elf
+	#              ELF_DEP_LIBS="-lc -lm -dl -DUTF8"
+	make prefix=`pwd`/debian/slang1-utf8-dev/usr \
+	     UTF8MODIFIER="-UTF8"  install install-elf
+	(sed 's/@DEBIANUTF8ERRORCHECK@/#ifndef/' < debian/slang.h.extra.in; cat src/slang.h ) > `pwd`/debian/slang1-utf8-dev/usr/include/slang.h
+	chmod 644 `pwd`/debian/slang1-utf8-dev/usr/include/slang.h
+
+	cp debian/slang1-utf8-dev/usr/lib/libslang.so.$(SOMAJOR).$(SOMINOR) \
+				debian/$(LIBSLANG_UTF8_UDEB)/lib/libslang.so.$(SOMAJOR)-UTF8.$(SOMINOR)
+	mv debian/slang1-utf8-dev/usr/lib/libslang.so.$(SOMAJOR).$(SOMINOR) \
+				 debian/slang1a-utf8/lib/libslang.so.$(SOMAJOR)-UTF8.$(SOMINOR)
+	rm debian/slang1-utf8-dev/usr/lib/libslang.so.$(SOMAJOR)
+
+	# The ldconfig symlink to make the library work ASAP.  This is not really required.
+	cd debian/slang1a-utf8/lib ; ln -sf libslang.so.$(SOMAJOR)-UTF8.$(SOMINOR) libslang.so.$(SOMAJOR)-UTF8
+	cd debian/slang1a-utf8-udeb/lib ; ln -sf libslang.so.$(SOMAJOR)-UTF8.$(SOMINOR) libslang.so.$(SOMAJOR)-UTF8
+
+	# Correct the .so link for slang1-utf8-dev library
+	cd debian/slang1-utf8-dev/usr/lib ; ln -sf /lib/libslang.so.$(SOMAJOR)-UTF8.$(SOMINOR) libslang.so
+
+	# Produce the -pic archive for use by the bootfloppies package.
+	ar cqv debian/slang1-utf8-pic/usr/lib/libslang_pic.a src/elfobjs/*.o 
+
+
+binary-arch: binary-nonutf8 binary-utf8
+	dh_testdir -a
+	dh_testroot -a
+	dh_installdocs -a -N$(LIBSLANG_UTF8_UDEB)
+	dh_installexamples -a -N$(LIBSLANG_UTF8_UDEB)
+
+	cd debian/slang1-dev/usr/share/doc/slang1-dev/examples/ ; \
+		mv demo/* . ; \
+		rm -f objs/* ; \
+		rmdir objs demo ; \
+		rm -f *.o* Makefile Makefile.in ; \
+		mv Makefile.simple Makefile ; \
+		rm -f config.status config.log configure configure.in
+
+	dh_installmenu -a -N$(LIBSLANG_UTF8_UDEB)
+	dh_installcron -a -N$(LIBSLANG_UTF8_UDEB)
+	dh_installmanpages -a -N$(LIBSLANG_UTF8_UDEB)
+	dh_installchangelogs -a changes.txt -N$(LIBSLANG_UTF8_UDEB)
+	dh_strip -a
+	dh_compress -a
+
+	gunzip debian/slang1-dev/usr/share/doc/slang1-dev/examples/*.gz
+	cp -r debian/slang1-dev/usr/share/doc/slang1-dev/examples \
+		debian/slang1-utf8-dev/usr/share/doc/slang1-dev
+
+	dh_fixperms -a
+	dh_makeshlibs -p$(LIBSLANG) -V "${LIBSLANG} (>> 1.4.4-7.1)"
+	dh_makeshlibs -p$(LIBSLANG_UTF8) -V "${LIBSLANG_UTF8} (>> 1.4.4-7.1)"
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a -N$(LIBSLANG_UTF8_UDEB)
+	dh_md5sums -a -N$(LIBSLANG_UTF8_UDEB)
+	dh_builddeb -a -N$(LIBSLANG_UTF8_UDEB)
+
+	# don't know how to do shlibdeps
+	# dh_shlibdeps
+	dh_gencontrol -a -p$(LIBSLANG_UTF8_UDEB) -- -fdebian/files~
+	dpkg-distaddfile $(UDEBNAME) debian-installer extra
+	dh_builddeb -p$(LIBSLANG_UTF8_UDEB) --filename=$(UDEBNAME)
+
+source diff:                                                                  
+	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
+
+binary: binary-indep binary-arch
+.PHONY: clean binary binary-nonutf8 binary-utf8 binary-indep binary-arch binary
--- slang-1.4.9.orig/debian/control
+++ slang-1.4.9/debian/control
@@ -0,0 +1,128 @@
+Source: slang
+Section: devel
+Priority: optional
+Maintainer: Jim Mintha <jmintha@debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>> 3.0.0)
+Standards-Version: 3.6.1
+
+Package: slang1-dev
+Section: devel
+Architecture: any
+Depends: slang1 (= ${Source-Version}), libc6-dev | libc-dev
+Provides: slang-dev6
+Conflicts: slang1-utf8-dev, slang-dev6, slang0.99.34-dev (<< 0.99.38-2.3)
+Description: The S-Lang programming library, development version
+ S-Lang is a C programmer's library that includes routines for the rapid
+ development of sophisticated, user friendly, multi-platform applications.
+ .
+ The S-Lang library includes the following:
+  *   Low level tty input routines for reading single characters at a time.
+  *   Keymap routines for defining keys and manipulating multiple keymaps.
+  *   A high-level key processing interface (SLkp) for
+       handling function and arrow keys.
+  *   High level screen management routines for manipulating both
+       monochrome and color terminals. These routines are very
+       efficient. (SLsmg)
+  *   Low level terminal-independent routines for manipulating the display
+       of a terminal. (SLtt)
+  *   Routines for reading single line input with line editing and recall
+       capabilities. (SLrline)
+  *   Searching functions: both ordinary searches and regular expression
+       searches. (SLsearch)
+  *   An embedded stack-based language interpreter with a C-like syntax.
+
+Package: slang1
+Section: base
+Priority: standard
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: The S-Lang programming library - runtime version
+ S-Lang is a C programmer's library that includes routines for the rapid
+ development of sophisticated, user friendly, multi-platform applications.
+ .
+ This package contains only the shared library libslang.so.* and copyright
+ information. It is only necessary for programs that use this library (such
+ as jed and slrn). If you plan on doing development with S-Lang, you will
+ need the companion -dev package as well.
+
+Package: slang1-pic
+Priority: optional
+Section: libdevel
+Architecture: any
+Depends: slang1-dev (= ${Source-Version})
+Provides: slang-pic
+Conflicts: slang1-utf8-pic
+Description: The S-Lang programming library, shared library subset kit
+ This is used to develop subsets of the S-Lang shared libraries for use
+ on custom installation floppies and in embedded systems. Unless you're
+ making one of those, you won't need this package.
+
+Package: slang1-utf8-dev
+Section: devel
+Priority: extra
+Architecture: any
+Depends: slang1a-utf8 (= ${Source-Version}), libc6-dev | libc-dev
+Provides: slang-dev6
+Conflicts: slang1-dev, slang-dev6, slang0.99.34-dev (<< 0.99.38-2.3)
+Description: The S-Lang programming library, development version with utf8 support
+ S-Lang is a C programmer's library that includes routines for the rapid
+ development of sophisticated, user friendly, multi-platform applications.
+ .
+ The S-Lang library includes the following:
+  *   Low level tty input routines for reading single characters at a time.
+  *   Keymap routines for defining keys and manipulating multiple keymaps.
+  *   A high-level key processing interface (SLkp) for
+       handling function and arrow keys.
+  *   High level screen management routines for manipulating both
+       monochrome and color terminals. These routines are very
+       efficient. (SLsmg)
+  *   Low level terminal-independent routines for manipulating the display
+       of a terminal. (SLtt)
+  *   Routines for reading single line input with line editing and recall
+       capabilities. (SLrline)
+  *   Searching functions: both ordinary searches and regular expression
+       searches. (SLsearch)
+  *   An embedded stack-based language interpreter with a C-like syntax.
+ This package has wide character support
+
+Package: slang1a-utf8
+Section: libs
+Priority: required
+Architecture: any
+Conflicts: slang1-utf8
+Depends: ${shlibs:Depends}
+Description: The S-Lang programming library with utf8 support
+ S-Lang is a C programmer's library that includes routines for the rapid
+ development of sophisticated, user friendly, multi-platform applications.
+ .
+ This package contains only the shared library libslang.so.* and copyright
+ information. It is only necessary for programs that use this library (such
+ as jed and slrn). If you plan on doing development with S-Lang, you will
+ need the companion -dev package as well.
+ This packages has wide character support.
+
+Package: slang1-utf8-pic
+Priority: extra
+Section: libdevel
+Architecture: any
+Depends: slang1-utf8-dev (= ${Source-Version})
+Provides: slang-pic
+Conflicts: slang1-pic
+Description: The S-Lang programming library, shared library subset with utf8 support
+ This is used to develop subsets of the S-Lang shared libraries for use
+ on custom installation floppies and in embedded systems. Unless you're
+ making one of those, you won't need this package.
+ This packages has wide character support.
+
+Package: slang1a-utf8-udeb
+Section: debian-installer
+Priority: extra
+Architecture: any
+Depends: libc-udeb
+Provides: slang1a-utf8
+Description: S-Lang library with utf8 support
+ This is a udeb, or a microdeb, of the S-Lang library with wide charater
+ support. As such it is the installer counterpart of slang1a-utf8.
+ You only need this package to support applications needing S-Lang during
+ the Debian installation process time and probably don't need to select it
--- slang-1.4.9.orig/debian/slang1-dev.dirs
+++ slang-1.4.9/debian/slang1-dev.dirs
@@ -0,0 +1,2 @@
+usr/lib
+usr/include
--- slang-1.4.9.orig/debian/slang1-dev.docs
+++ slang-1.4.9/debian/slang1-dev.docs
@@ -0,0 +1,7 @@
+NEWS
+README
+UPGRADE.txt
+changes.txt
+doc/text/cref.txt
+doc/text/cslang.txt
+
--- slang-1.4.9.orig/debian/slang1a-utf8.dirs
+++ slang-1.4.9/debian/slang1a-utf8.dirs
@@ -0,0 +1 @@
+lib
--- slang-1.4.9.orig/debian/slang1a-utf8.docs
+++ slang-1.4.9/debian/slang1a-utf8.docs
@@ -0,0 +1,5 @@
+NEWS
+README
+UPGRADE.txt
+doc/text/slang.txt
+doc/text/slangfun.txt
--- slang-1.4.9.orig/debian/shlibs.local
+++ slang-1.4.9/debian/shlibs.local
@@ -0,0 +1 @@
+libslang 1 slang1 (>> 1.3.0-0)
--- slang-1.4.9.orig/debian/slang1-utf8-pic.dirs
+++ slang-1.4.9/debian/slang1-utf8-pic.dirs
@@ -0,0 +1,2 @@
+usr/lib
+usr/share/doc
--- slang-1.4.9.orig/debian/slang1a-utf8.preinst
+++ slang-1.4.9/debian/slang1a-utf8.preinst
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+# do not divert.
+
+#DEBHELPER#
--- slang-1.4.9.orig/debian/slang1.postrm
+++ slang-1.4.9/debian/slang1.postrm
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+
+if [ "$1" = "remove" ]; then 
+    ldconfig
+fi
+
+#DEBHELPER#
--- slang-1.4.9.orig/debian/slang1.postinst
+++ slang-1.4.9/debian/slang1.postinst
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if [ "$1" = "configure" ]; then 
+    ldconfig
+fi
+
+#DEBHELPER#
--- slang-1.4.9.orig/debian/README.Debian
+++ slang-1.4.9/debian/README.Debian
@@ -0,0 +1,13 @@
+slang for Debian
+----------------------
+
+Version 1.2.2 of slang had a shlib's which caused anything that
+depended on it to depend on version > 1.2 and less than 1.3.  Version
+1.3 is compatible with 1.2 so this was not needed.  Those application
+need to be recompiled with the new version.
+
+Anything that compiles against slang1-utf8 needs to have 
+UTF8 defined (-DUTF8). slang1 needs to have UTF8 undefined.
+  -- dancerj 29 Jan 2002
+
+ -- Jim Mintha <jmintha@debian.org>, Mon, 16 Aug 1999 21:59:03 +0200
--- slang-1.4.9.orig/debian/slang1-dev.examples
+++ slang-1.4.9/debian/slang1-dev.examples
@@ -0,0 +1 @@
+demo
--- slang-1.4.9.orig/debian/slang1a-utf8.postinst
+++ slang-1.4.9/debian/slang1a-utf8.postinst
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if [ "$1" = "remove" ]; then 
+    ldconfig
+fi
+
+#DEBHELPER#
--- slang-1.4.9.orig/debian/slang1-utf8-dev.dirs
+++ slang-1.4.9/debian/slang1-utf8-dev.dirs
@@ -0,0 +1,2 @@
+usr/lib
+usr/include
--- slang-1.4.9.orig/debian/slang1-utf8-dev.docs
+++ slang-1.4.9/debian/slang1-utf8-dev.docs
@@ -0,0 +1,6 @@
+NEWS
+README
+UPGRADE.txt
+changes.txt
+doc/text/cref.txt
+doc/text/cslang.txt
--- slang-1.4.9.orig/debian/slang1a-utf8.postrm
+++ slang-1.4.9/debian/slang1a-utf8.postrm
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+
+if [ "$1" = "remove" ]; then 
+    ldconfig
+fi
+
+#DEBHELPER#
--- slang-1.4.9.orig/debian/copyright
+++ slang-1.4.9/debian/copyright
@@ -0,0 +1,44 @@
+This package was debianized by Jim Mintha <jim@dodo2.adm.uva.nl> on
+Mon, 16 Aug 1999 21:59:03 +0200.
+
+It was downloaded from ftp://space.mit.edu/pub/davis/slang/v1.4/
+
+Upstream Author: John E Davis <davis@space.mit.edu>
+
+Modifications for Debian Linux Copyright (C) 1995-1996 Chris Fearnley.
+
+Additional modifications for Debian Linux Copyright (C) 1997-1998 by Ray
+Dassen <jdassen@wi.LeidenUniv.nl> and Jim Mintha <jmintha@debian.org>
+
+Copyright:
+
+S-Lang is not free software --- it is copyrighted.  However, it may be used
+for any purpose without royalty or fees in accordance with the terms of the
+copyright.
+
+It may distributed under either the GNU General public license or under the
+Perl Artistic License.  See GPL and Artistic in /usr/share/common-licenses/
+-----------------------------------------------------------------------------
+ Copyright (c) 1992, 1995 John E. Davis
+ All rights reserved.
+ 
+ You may distribute under the terms of either the GNU General Public
+ License or the Perl Artistic License.
+
+ IN NO EVENT SHALL JOHN E. DAVIS BE LIABLE TO ANY PARTY FOR DIRECT,
+ INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
+ THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF JOHN E. DAVIS
+ HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+ JOHN E. DAVIS SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+ PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS"
+ BASIS, AND JOHN E. DAVIS HAS NO OBLIGATION TO PROVIDE MAINTENANCE,
+ SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
+-----------------------------------------------------------------------------
+
+You should have received a copy of the GNU General Public License with your
+Debian GNU/Linux system, in /usr/share/common-licenses/GPL, or with the Debian
+GNU/Linux hello source package as the file COPYING.  If not, write to the
+Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+02111-1307  USA
--- slang-1.4.9.orig/debian/slang1-pic.dirs
+++ slang-1.4.9/debian/slang1-pic.dirs
@@ -0,0 +1,2 @@
+usr/lib
+usr/share/doc
--- slang-1.4.9.orig/debian/slang1.dirs
+++ slang-1.4.9/debian/slang1.dirs
@@ -0,0 +1 @@
+lib
--- slang-1.4.9.orig/debian/slang1.docs
+++ slang-1.4.9/debian/slang1.docs
@@ -0,0 +1,5 @@
+NEWS
+README
+UPGRADE.txt
+doc/text/slang.txt
+doc/text/slangfun.txt
--- slang-1.4.9.orig/debian/slang1a-utf8-udeb.dirs
+++ slang-1.4.9/debian/slang1a-utf8-udeb.dirs
@@ -0,0 +1 @@
+lib
--- slang-1.4.9.orig/debuild-49.log
+++ slang-1.4.9/debuild-49.log
@@ -0,0 +1,1107 @@
+dpkg-buildpackage: source package is slang
+dpkg-buildpackage: source version is 1.4.9-1
+dpkg-buildpackage: source maintainer is Alastair McKinstry <mckinstry@debian.org>
+dpkg-buildpackage: host architecture is i386
+ debian/rules clean
+dh_testdir
+rm -f build-nonutf8 build-utf8
+# Add here commands to clean up after the build process.
+/usr/bin/make distclean
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+/bin/rm -f *~ Makefile config.status config.log config.cache files.pck
+cd src; /usr/bin/make distclean
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/*
+rm -f *~ "#"*
+rm -f /home/amckinst/slang-1.4.9/src/objs/*
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/*
+rm -rf /home/amckinst/slang-1.4.9/src/objs /home/amckinst/slang-1.4.9/src/elfobjs Makefile sysconf.h config.h
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+cd demo; /usr/bin/make distclean
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/demo'
+/bin/rm -f /home/amckinst/slang-1.4.9/demo/objs/* *~
+/bin/rm -rf /home/amckinst/slang-1.4.9/demo/objs Makefile
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/demo'
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+rm -f demo/config.log demo/config.status demo/config.h
+rm -f modules/Makefile slsc/Makefile slsh/Makefile
+test -r /usr/share/misc/config.sub && \
+cp -f /usr/share/misc/config.sub autoconf/config.sub
+test -r /usr/share/misc/config.guess && \
+cp -f /usr/share/misc/config.guess autoconf/config.guess
+dh_clean -a
+	rm -f debian/slang1-dev.substvars
+	rm -f debian/slang1-dev.*.debhelper
+	rm -rf debian/slang1-dev
+	rm -f debian/slang1.substvars
+	rm -f debian/slang1.*.debhelper
+	rm -rf debian/slang1
+	rm -f debian/slang1-pic.substvars
+	rm -f debian/slang1-pic.*.debhelper
+	rm -rf debian/slang1-pic
+	rm -f debian/slang1-utf8-dev.substvars
+	rm -f debian/slang1-utf8-dev.*.debhelper
+	rm -rf debian/slang1-utf8-dev
+	rm -f debian/slang1a-utf8.substvars
+	rm -f debian/slang1a-utf8.*.debhelper
+	rm -rf debian/slang1a-utf8
+	rm -f debian/slang1-utf8-pic.substvars
+	rm -f debian/slang1-utf8-pic.*.debhelper
+	rm -rf debian/slang1-utf8-pic
+	rm -f debian/slang1a-utf8-udeb.substvars
+	rm -f debian/slang1a-utf8-udeb.*.debhelper
+	rm -rf debian/slang1a-utf8-udeb
+	rm -f debian/files
+	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
+	rm -rf autom4te.cache
+ dpkg-source -b slang-1.4.9
+dpkg-source: building slang using existing slang_1.4.9.orig.tar.gz
+dpkg-source: building slang in slang_1.4.9-1.diff.gz
+dpkg-source: building slang in slang_1.4.9-1.dsc
+ debian/rules build
+true;
+ debian/rules binary
+true
+dh_testdir
+env CC="gcc" INSTALL="/usr/bin/install -p" \
+	./configure --prefix=/usr --enable-warnings
+creating cache ./config.cache
+checking host system type... i686-pc-linux-gnu
+checking for gcc... gcc
+checking whether the C compiler (gcc  ) works... yes
+checking whether the C compiler (gcc  ) is a cross-compiler... no
+checking whether we are using GNU C... yes
+checking whether gcc accepts -g... yes
+checking how to run the C preprocessor... gcc -E
+checking whether gcc needs -traditional... no
+checking for POSIXized ISC... no
+checking for AIX... no
+checking C compiler that understands ANSI prototypes... gcc looks ok.  Good.
+checking whether make sets ${MAKE}... yes
+checking for ranlib... ranlib
+checking for a BSD compatible install... /usr/bin/install -p
+checking for stdlib.h... yes
+checking for unistd.h... yes
+checking for memory.h... yes
+checking for termios.h... yes
+checking for malloc.h... yes
+checking for locale.h... yes
+checking for fcntl.h... yes
+checking for sys/fcntl.h... yes
+checking for sys/types.h... yes
+checking for sys/wait.h... yes
+checking for sys/utsname.h... yes
+checking for sys/times.h... yes
+checking for ANSI C header files... yes
+checking for mode_t... yes
+checking for pid_t... yes
+checking for uid_t in sys/types.h... yes
+checking for dirent.h that defines DIR... yes
+checking for opendir in -ldir... no
+checking for memset... yes
+checking for memcpy... yes
+checking for putenv... yes
+checking for getcwd... yes
+checking for setlocale... yes
+checking for tcgetattr... yes
+checking for tcsetattr... yes
+checking for cfgetospeed... yes
+checking for sigaction... yes
+checking for sigemptyset... yes
+checking for sigprocmask... yes
+checking for sigaddset... yes
+checking for vfscanf... yes
+checking for lstat... yes
+checking for readlink... yes
+checking for kill... yes
+checking for snprintf... yes
+checking for vsnprintf... yes
+checking for getppid... yes
+checking for getegid... yes
+checking for geteuid... yes
+checking for getuid... yes
+checking for getgid... yes
+checking for setgid... yes
+checking for setpgid... yes
+checking for setuid... yes
+checking for chown... yes
+checking for popen... yes
+checking for mkfifo... yes
+checking for atexit... yes
+checking for on_exit... yes
+checking for umask... yes
+checking for uname... yes
+checking for times... yes
+checking for gmtime... yes
+checking for strtod... yes
+checking for issetugid... no
+checking for acosh in -lm... yes
+checking for asinh in -lm... yes
+checking for atanh in -lm... yes
+checking for dlfcn.h... yes
+checking for dlopen in -ldl... yes
+checking size of short... 2
+checking size of int... 4
+checking size of long... 4
+checking size of float... 4
+checking size of double... 8
+checking for Terminfo... yes
+checking SLANG_VERSION... 1.4.9
+updating cache ./config.cache
+creating ./config.status
+creating Makefile
+creating src/Makefile
+creating slsh/Makefile
+creating modules/Makefile
+creating src/sysconf.h
+configuring in demo
+running /bin/sh ./configure  --prefix=/usr --enable-warnings --cache-file=.././config.cache --srcdir=.
+loading cache .././config.cache
+checking for gcc... (cached) gcc
+checking whether the C compiler (gcc  ) works... yes
+checking whether the C compiler (gcc  ) is a cross-compiler... no
+checking whether we are using GNU C... (cached) yes
+checking whether gcc accepts -g... (cached) yes
+checking how to run the C preprocessor... (cached) gcc -E
+checking whether gcc needs -traditional... (cached) no
+checking for POSIXized ISC... no
+checking for AIX... no
+checking C compiler that understands ANSI prototypes... gcc looks ok.  Good.
+checking whether make sets ${MAKE}... (cached) yes
+checking host system type... i686-pc-linux-gnu
+checking for dlfcn.h... (cached) yes
+checking for dlopen in -ldl... (cached) yes
+checking for Terminfo... yes
+creating ./config.status
+creating Makefile
+
+Configuration complete.  You may need to edit src/Makefile.
+You are compiling SLANG with the following compiler configuration:
+       CC = gcc
+   CFLAGS = -g -O2 -fno-strength-reduce -Wall -W -pedantic -Winline -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align -Wshadow -Wstrict-prototypes
+  LDFLAGS =  -Wl,-export-dynamic
+
+   ELF_CC = gcc
+ ELF_LINK = gcc -shared -Wl,-soname#
+ELF_CFLAGS= -O2 -fno-strength-reduce -fPIC 
+
+                  prefix: /usr
+             exec_prefix: ${prefix}
+    Installation Lib Dir: ${exec_prefix}/lib
+Installation Include Dir: ${prefix}/include
+
+See also src/sl-feat.h for various features.
+Type 'make' to build normal library.
+On ELF systems, type 'make elf' to create ELF shared library.
+dh_testdir
+/usr/bin/make clean
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+/bin/rm -f *~
+cd src; /usr/bin/make clean
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/*
+rm -f *~ "#"*
+rm -f /home/amckinst/slang-1.4.9/src/objs/*
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/*
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+cd demo; /usr/bin/make clean
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/demo'
+/bin/rm -f /home/amckinst/slang-1.4.9/demo/objs/* *~
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/demo'
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+/usr/bin/make CFLAGS="-g -O2 -fno-strength-reduce -D_REENTRANT" all demos
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+cd src; /usr/bin/make all
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+mkdir /home/amckinst/slang-1.4.9/src/objs
+cp sysconf.h config.h
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG -DMISC_TERMINFO_DIRS='""' /home/amckinst/slang-1.4.9/src/sltermin.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sldisply.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slutty.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slang.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarray.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slclass.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmd.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slgetkey.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeymap.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmalloc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmath.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemchr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcmp.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcpy.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemset.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmisc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slparse.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slprepr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slregexp.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slrline.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsearch.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsmg.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG -DSLANG_DOC_DIR='"/usr/doc/slang"' /home/amckinst/slang-1.4.9/src/slstd.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltoken.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltypes.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slxstrng.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcurses.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscroll.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsignal.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeypad.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerrno.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstring.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstruct.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmplex.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrfun.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG -DMODULE_INSTALL_DIR='"/usr/lib/slang/modules"' /home/amckinst/slang-1.4.9/src/slimport.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpath.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarith.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slassoc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcompat.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposdir.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstdio.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slproc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltime.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstrops.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slbstr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpack.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slintall.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slistruc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposio.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slnspace.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrmis.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slospath.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscanf.c
+rm -f /home/amckinst/slang-1.4.9/src/objs/libslang.a
+cd /home/amckinst/slang-1.4.9/src/objs; ar cr libslang.a sltermin.o sldisply.o slutty.o slang.o slarray.o slclass.o slcmd.o slerr.o slgetkey.o slkeymap.o slmalloc.o slmath.o slmemchr.o slmemcmp.o slmemcpy.o slmemset.o slmisc.o slparse.o slprepr.o slregexp.o slrline.o slsearch.o slsmg.o slstd.o sltoken.o sltypes.o slxstrng.o slcurses.o slscroll.o slsignal.o slkeypad.o slerrno.o slstring.o slstruct.o slcmplex.o slarrfun.o slimport.o slpath.o slarith.o slassoc.o slcompat.o slposdir.o slstdio.o slproc.o sltime.o slstrops.o slbstr.o slpack.o slintall.o slistruc.o slposio.o slnspace.o slarrmis.o slospath.o slscanf.o
+ranlib /home/amckinst/slang-1.4.9/src/objs/libslang.a
+
+libslang.a created in /home/amckinst/slang-1.4.9/src/objs
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+cd demo; /usr/bin/make
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/demo'
+/bin/cp ../src/config.h config.h
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/useropen.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/useropen  /home/amckinst/slang-1.4.9/demo/objs/useropen.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+useropen created in /home/amckinst/slang-1.4.9/demo/objs
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/pager.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/pager  /home/amckinst/slang-1.4.9/demo/objs/pager.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+pager created in /home/amckinst/slang-1.4.9/demo/objs
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/keypad.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/keypad  /home/amckinst/slang-1.4.9/demo/objs/keypad.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+keypad created in /home/amckinst/slang-1.4.9/demo/objs
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/smgtest.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/smgtest  /home/amckinst/slang-1.4.9/demo/objs/smgtest.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+smgtest created in /home/amckinst/slang-1.4.9/demo/objs
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/demo'
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+# We specify ELF_DEP_LIBS to get a libc dependency; upstream only has -lm.
+/usr/bin/make ELF_CFLAGS="-g -O2 -fno-strength-reduce -D_REENTRANT -fPIC" UTF8MODIFIER="" ELF_DEP_LIBS='-lm -lc -ldl' prefix=/ elf
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+cd src; /usr/bin/make elf
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+mkdir /home/amckinst/slang-1.4.9/src/elfobjs
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG -DMISC_TERMINFO_DIRS='""' /home/amckinst/slang-1.4.9/src/sltermin.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sldisply.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slutty.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slang.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarray.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slclass.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmd.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slgetkey.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeymap.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmalloc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmath.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemchr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcmp.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcpy.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemset.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmisc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slparse.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slprepr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slregexp.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slrline.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsearch.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsmg.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG -DSLANG_DOC_DIR='"//doc/slang"' /home/amckinst/slang-1.4.9/src/slstd.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltoken.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltypes.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slxstrng.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcurses.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscroll.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsignal.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeypad.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerrno.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstring.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstruct.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmplex.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrfun.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG -DMODULE_INSTALL_DIR='"//lib/slang/modules"' /home/amckinst/slang-1.4.9/src/slimport.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpath.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarith.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slassoc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcompat.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposdir.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstdio.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slproc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltime.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstrops.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slbstr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpack.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slintall.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slistruc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposio.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slnspace.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrmis.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slospath.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscanf.c
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/libslang.so.1.4.9
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -shared -Wl,-soname,libslang.so.1  -o libslang.so.1.4.9 sltermin.o sldisply.o slutty.o slang.o slarray.o slclass.o slcmd.o slerr.o slgetkey.o slkeymap.o slmalloc.o slmath.o slmemchr.o slmemcmp.o slmemcpy.o slmemset.o slmisc.o slparse.o slprepr.o slregexp.o slrline.o slsearch.o slsmg.o slstd.o sltoken.o sltypes.o slxstrng.o slcurses.o slscroll.o slsignal.o slkeypad.o slerrno.o slstring.o slstruct.o slcmplex.o slarrfun.o slimport.o slpath.o slarith.o slassoc.o slcompat.o slposdir.o slstdio.o slproc.o sltime.o slstrops.o slbstr.o slpack.o slintall.o slistruc.o slposio.o slnspace.o slarrmis.o slospath.o slscanf.o -lm -lc -ldl
+cd /home/amckinst/slang-1.4.9/src/elfobjs; rm -f libslang.so; /bin/ln -sf libslang.so.1.4.9 libslang.so
+
+libslang.so.1.4.9 created in /home/amckinst/slang-1.4.9/src/elfobjs.
+The link libslang.so to libslang.so.1.4.9 was also created.
+
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+Use make install-elf to install it.
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+touch build-nonutf8
+dh_testdir -a
+dh_testroot -a
+dh_clean -pslang1 -k
+	rm -f debian/slang1.substvars
+	rm -f debian/slang1.*.debhelper
+	rm -rf debian/slang1
+	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
+	rm -rf autom4te.cache
+dh_clean -pslang1-dev -k
+	rm -f debian/slang1-dev.substvars
+	rm -f debian/slang1-dev.*.debhelper
+	rm -rf debian/slang1-dev
+	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
+	rm -rf autom4te.cache
+dh_clean -pslang1-pic -k
+	rm -f debian/slang1-pic.substvars
+	rm -f debian/slang1-pic.*.debhelper
+	rm -rf debian/slang1-pic
+	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
+	rm -rf autom4te.cache
+dh_installdirs -a
+	install -d debian/slang1-dev
+	install -d debian/slang1-dev/usr/lib debian/slang1-dev/usr/include
+	install -d debian/slang1
+	install -d debian/slang1/lib
+	install -d debian/slang1-pic
+	install -d debian/slang1-pic/usr/lib debian/slang1-pic/usr/share/doc
+	install -d debian/slang1-utf8-dev
+	install -d debian/slang1-utf8-dev/usr/lib debian/slang1-utf8-dev/usr/include
+	install -d debian/slang1a-utf8
+	install -d debian/slang1a-utf8/lib
+	install -d debian/slang1-utf8-pic
+	install -d debian/slang1-utf8-pic/usr/lib debian/slang1-utf8-pic/usr/share/doc
+	install -d debian/slang1a-utf8-udeb
+	install -d debian/slang1a-utf8-udeb/lib
+make prefix=`pwd`/debian/slang1-dev/usr \
+     UTF8MODIFIER="" ELF_DEP_LIBS='-lm -lc -ldl' install install-elf
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+cd src; make install
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+installing /home/amckinst/slang-1.4.9/src/objs/libslang.a in /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/objs/libslang.a /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib
+ranlib /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib/libslang.a
+installing slang.h and slcurses.h in /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slang.h /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slcurses.h /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/include
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+cd src; make install-elf
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+installing /home/amckinst/slang-1.4.9/src/objs/libslang.a in /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/objs/libslang.a /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib
+ranlib /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib/libslang.a
+installing slang.h and slcurses.h in /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slang.h /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slcurses.h /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/include
+rm -f /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib/libslang.so
+rm -f /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib/libslang.so.1
+installing libslang.so.1.4.9 in /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/elfobjs/libslang.so.1.4.9 /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib
+creating symbolic links to libslang.so.1.4.9
+cd /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib; /bin/ln -sf libslang.so.1.4.9 libslang.so.1
+cd /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib; /bin/ln -sf libslang.so.1.4.9 libslang.so
+
+libslang.so.1.4.9 created in /home/amckinst/slang-1.4.9/debian/slang1-dev/usr/lib.
+The links libslang.so and libslang.so.1 to libslang.so.1.4.9 were also created.
+
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+
+On some systems, e.g., linux, you may also have to run ldconfig.
+
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+(sed 's/@DEBIANUTF8ERRORCHECK@/#ifdef/' < debian/slang.h.extra.in; cat src/slang.h ) > `pwd`/debian/slang1-dev/usr/include/slang.h
+/bin/sh: line 1: debian/slang.h.extra.in: No such file or directory
+chmod 644 `pwd`/debian/slang1-dev/usr/include/slang.h
+mv debian/slang1-dev/usr/lib/libslang.so.* debian/slang1/lib
+# The ldconfig symlink to make the library work ASAP.
+cd debian/slang1/lib ; ln -sf libslang.so.1.4.9 libslang.so.1
+# Correct the .so link for slang1-dev library -- required?
+cd debian/slang1-dev/usr/lib ; ln -sf /lib/libslang.so.1.4.9 libslang.so
+# Produce the -pic archive for use by the bootfloppies package.
+ar cqv debian/slang1-pic/usr/lib/libslang_pic.a src/elfobjs/*.o 
+a - src/elfobjs/slang.o
+a - src/elfobjs/slarith.o
+a - src/elfobjs/slarray.o
+a - src/elfobjs/slarrfun.o
+a - src/elfobjs/slarrmis.o
+a - src/elfobjs/slassoc.o
+a - src/elfobjs/slbstr.o
+a - src/elfobjs/slclass.o
+a - src/elfobjs/slcmd.o
+a - src/elfobjs/slcmplex.o
+a - src/elfobjs/slcompat.o
+a - src/elfobjs/slcurses.o
+a - src/elfobjs/sldisply.o
+a - src/elfobjs/slerr.o
+a - src/elfobjs/slerrno.o
+a - src/elfobjs/slgetkey.o
+a - src/elfobjs/slimport.o
+a - src/elfobjs/slintall.o
+a - src/elfobjs/slistruc.o
+a - src/elfobjs/slkeymap.o
+a - src/elfobjs/slkeypad.o
+a - src/elfobjs/slmalloc.o
+a - src/elfobjs/slmath.o
+a - src/elfobjs/slmemchr.o
+a - src/elfobjs/slmemcmp.o
+a - src/elfobjs/slmemcpy.o
+a - src/elfobjs/slmemset.o
+a - src/elfobjs/slmisc.o
+a - src/elfobjs/slnspace.o
+a - src/elfobjs/slospath.o
+a - src/elfobjs/slpack.o
+a - src/elfobjs/slparse.o
+a - src/elfobjs/slpath.o
+a - src/elfobjs/slposdir.o
+a - src/elfobjs/slposio.o
+a - src/elfobjs/slprepr.o
+a - src/elfobjs/slproc.o
+a - src/elfobjs/slregexp.o
+a - src/elfobjs/slrline.o
+a - src/elfobjs/slscanf.o
+a - src/elfobjs/slscroll.o
+a - src/elfobjs/slsearch.o
+a - src/elfobjs/slsignal.o
+a - src/elfobjs/slsmg.o
+a - src/elfobjs/slstd.o
+a - src/elfobjs/slstdio.o
+a - src/elfobjs/slstring.o
+a - src/elfobjs/slstrops.o
+a - src/elfobjs/slstruct.o
+a - src/elfobjs/sltermin.o
+a - src/elfobjs/sltime.o
+a - src/elfobjs/sltoken.o
+a - src/elfobjs/sltypes.o
+a - src/elfobjs/slutty.o
+a - src/elfobjs/slxstrng.o
+dh_testdir
+/usr/bin/make clean
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+/bin/rm -f *~
+cd src; /usr/bin/make clean
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/*
+rm -f *~ "#"*
+rm -f /home/amckinst/slang-1.4.9/src/objs/*
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/*
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+cd demo; /usr/bin/make clean
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/demo'
+/bin/rm -f /home/amckinst/slang-1.4.9/demo/objs/* *~
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/demo'
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+/usr/bin/make CFLAGS="-g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8" all demos
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+cd src; /usr/bin/make all
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG -DMISC_TERMINFO_DIRS='""' /home/amckinst/slang-1.4.9/src/sltermin.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sldisply.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slutty.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slang.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarray.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slclass.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmd.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slgetkey.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeymap.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmalloc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmath.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemchr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcmp.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcpy.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemset.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmisc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slparse.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slprepr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slregexp.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slrline.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsearch.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsmg.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG -DSLANG_DOC_DIR='"/usr/doc/slang"' /home/amckinst/slang-1.4.9/src/slstd.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltoken.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltypes.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slxstrng.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcurses.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscroll.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsignal.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeypad.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerrno.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstring.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstruct.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmplex.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrfun.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG -DMODULE_INSTALL_DIR='"/usr/lib/slang/modules"' /home/amckinst/slang-1.4.9/src/slimport.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpath.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarith.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slassoc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcompat.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposdir.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstdio.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slproc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltime.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstrops.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slbstr.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpack.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slintall.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slistruc.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposio.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slnspace.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrmis.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slospath.c
+cd /home/amckinst/slang-1.4.9/src/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscanf.c
+rm -f /home/amckinst/slang-1.4.9/src/objs/libslang.a
+cd /home/amckinst/slang-1.4.9/src/objs; ar cr libslang.a sltermin.o sldisply.o slutty.o slang.o slarray.o slclass.o slcmd.o slerr.o slgetkey.o slkeymap.o slmalloc.o slmath.o slmemchr.o slmemcmp.o slmemcpy.o slmemset.o slmisc.o slparse.o slprepr.o slregexp.o slrline.o slsearch.o slsmg.o slstd.o sltoken.o sltypes.o slxstrng.o slcurses.o slscroll.o slsignal.o slkeypad.o slerrno.o slstring.o slstruct.o slcmplex.o slarrfun.o slimport.o slpath.o slarith.o slassoc.o slcompat.o slposdir.o slstdio.o slproc.o sltime.o slstrops.o slbstr.o slpack.o slintall.o slistruc.o slposio.o slnspace.o slarrmis.o slospath.o slscanf.o
+ranlib /home/amckinst/slang-1.4.9/src/objs/libslang.a
+
+libslang.a created in /home/amckinst/slang-1.4.9/src/objs
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+cd demo; /usr/bin/make
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/demo'
+/bin/cp ../src/config.h config.h
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/useropen.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/useropen  /home/amckinst/slang-1.4.9/demo/objs/useropen.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+useropen created in /home/amckinst/slang-1.4.9/demo/objs
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/pager.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/pager  /home/amckinst/slang-1.4.9/demo/objs/pager.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+pager created in /home/amckinst/slang-1.4.9/demo/objs
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/keypad.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/keypad  /home/amckinst/slang-1.4.9/demo/objs/keypad.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+keypad created in /home/amckinst/slang-1.4.9/demo/objs
+cd /home/amckinst/slang-1.4.9/demo/objs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -DUTF8 -Dunix -I/home/amckinst/slang-1.4.9/demo/../src   /home/amckinst/slang-1.4.9/demo/smgtest.c
+gcc -o /home/amckinst/slang-1.4.9/demo/objs/smgtest  /home/amckinst/slang-1.4.9/demo/objs/smgtest.o  -L/home/amckinst/slang-1.4.9/demo/../src/objs -lslang -lm -ldl 
+smgtest created in /home/amckinst/slang-1.4.9/demo/objs
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/demo'
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+# We specify ELF_DEP_LIBS to get a libc dependency; upstream only has -lm.
+/usr/bin/make UTF8MODIFIER="-UTF8" ELF_CFLAGS="-g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8" ELF_DEP_LIBS='-lm -lc -ldl' prefix=/ elf
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+cd src; /usr/bin/make elf
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG -DMISC_TERMINFO_DIRS='""' /home/amckinst/slang-1.4.9/src/sltermin.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sldisply.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slutty.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slang.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarray.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slclass.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmd.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slgetkey.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeymap.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmalloc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmath.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemchr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcmp.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemcpy.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmemset.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slmisc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slparse.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slprepr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slregexp.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slrline.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsearch.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsmg.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG -DSLANG_DOC_DIR='"//doc/slang"' /home/amckinst/slang-1.4.9/src/slstd.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltoken.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltypes.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slxstrng.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcurses.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscroll.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slsignal.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slkeypad.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slerrno.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstring.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstruct.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcmplex.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrfun.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG -DMODULE_INSTALL_DIR='"//lib/slang/modules"' /home/amckinst/slang-1.4.9/src/slimport.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpath.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarith.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slassoc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slcompat.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposdir.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstdio.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slproc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/sltime.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slstrops.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slbstr.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slpack.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slintall.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slistruc.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slposio.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slnspace.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slarrmis.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slospath.c
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -c -g -O2 -fno-strength-reduce -D_REENTRANT -fPIC -DUTF8 -Dunix -DSLANG  /home/amckinst/slang-1.4.9/src/slscanf.c
+rm -f /home/amckinst/slang-1.4.9/src/elfobjs/libslang.so.1.4.9
+cd /home/amckinst/slang-1.4.9/src/elfobjs; gcc -shared -Wl,-soname,libslang.so.1-UTF8  -o libslang.so.1.4.9 sltermin.o sldisply.o slutty.o slang.o slarray.o slclass.o slcmd.o slerr.o slgetkey.o slkeymap.o slmalloc.o slmath.o slmemchr.o slmemcmp.o slmemcpy.o slmemset.o slmisc.o slparse.o slprepr.o slregexp.o slrline.o slsearch.o slsmg.o slstd.o sltoken.o sltypes.o slxstrng.o slcurses.o slscroll.o slsignal.o slkeypad.o slerrno.o slstring.o slstruct.o slcmplex.o slarrfun.o slimport.o slpath.o slarith.o slassoc.o slcompat.o slposdir.o slstdio.o slproc.o sltime.o slstrops.o slbstr.o slpack.o slintall.o slistruc.o slposio.o slnspace.o slarrmis.o slospath.o slscanf.o -lm -lc -ldl
+cd /home/amckinst/slang-1.4.9/src/elfobjs; rm -f libslang.so; /bin/ln -sf libslang.so.1.4.9 libslang.so
+
+libslang.so.1.4.9 created in /home/amckinst/slang-1.4.9/src/elfobjs.
+The link libslang.so to libslang.so.1.4.9 was also created.
+
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+Use make install-elf to install it.
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+touch build-utf8
+dh_testdir -a
+dh_testroot -a
+dh_clean -pslang1a-utf8 -k
+	rm -f debian/slang1a-utf8.substvars
+	rm -f debian/slang1a-utf8.*.debhelper
+	rm -rf debian/slang1a-utf8
+	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
+	rm -rf autom4te.cache
+dh_clean -pslang1-utf8-dev -k
+	rm -f debian/slang1-utf8-dev.substvars
+	rm -f debian/slang1-utf8-dev.*.debhelper
+	rm -rf debian/slang1-utf8-dev
+	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
+	rm -rf autom4te.cache
+dh_clean -pslang1-utf8-pic -k
+	rm -f debian/slang1-utf8-pic.substvars
+	rm -f debian/slang1-utf8-pic.*.debhelper
+	rm -rf debian/slang1-utf8-pic
+	find . -type f -a \( -name \#\*\# -o -name .\*\~ -o -name \*\~ -o -name DEADJOE -o -name \*.orig -o -name \*.rej -o -name \*.bak -o -name .\*.orig -o -name .\*.rej -o -name .SUMS -o -name TAGS -o -name core -o \( -path \*/.deps/\* -a -name \*.P \) \) -exec rm -f {} \;
+	rm -rf autom4te.cache
+dh_installdirs -a
+	install -d debian/slang1-dev/usr/lib debian/slang1-dev/usr/include
+	install -d debian/slang1/lib
+	install -d debian/slang1-pic/usr/lib debian/slang1-pic/usr/share/doc
+	install -d debian/slang1-utf8-dev
+	install -d debian/slang1-utf8-dev/usr/lib debian/slang1-utf8-dev/usr/include
+	install -d debian/slang1a-utf8
+	install -d debian/slang1a-utf8/lib
+	install -d debian/slang1-utf8-pic
+	install -d debian/slang1-utf8-pic/usr/lib debian/slang1-utf8-pic/usr/share/doc
+	install -d debian/slang1a-utf8-udeb/lib
+make prefix=`pwd`/debian/slang1-utf8-dev/usr \
+     UTF8MODIFIER="-UTF8"  ELF_DEP_LIBS='-lm -lc -ldl -DUTF8' install install-elf
+make[1]: Entering directory `/home/amckinst/slang-1.4.9'
+cd src; make install
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+installing /home/amckinst/slang-1.4.9/src/objs/libslang.a in /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/objs/libslang.a /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib
+ranlib /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib/libslang.a
+installing slang.h and slcurses.h in /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slang.h /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slcurses.h /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/include
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+cd src; make install-elf
+make[2]: Entering directory `/home/amckinst/slang-1.4.9/src'
+installing /home/amckinst/slang-1.4.9/src/objs/libslang.a in /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/objs/libslang.a /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib
+ranlib /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib/libslang.a
+installing slang.h and slcurses.h in /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slang.h /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/include
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/slcurses.h /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/include
+rm -f /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib/libslang.so
+rm -f /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib/libslang.so.1
+installing libslang.so.1.4.9 in /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib
+/usr/bin/install -p -m 644 /home/amckinst/slang-1.4.9/src/elfobjs/libslang.so.1.4.9 /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib
+creating symbolic links to libslang.so.1.4.9
+cd /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib; /bin/ln -sf libslang.so.1.4.9 libslang.so.1
+cd /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib; /bin/ln -sf libslang.so.1.4.9 libslang.so
+
+libslang.so.1.4.9 created in /home/amckinst/slang-1.4.9/debian/slang1-utf8-dev/usr/lib.
+The links libslang.so and libslang.so.1 to libslang.so.1.4.9 were also created.
+
+make[2]: Leaving directory `/home/amckinst/slang-1.4.9/src'
+
+On some systems, e.g., linux, you may also have to run ldconfig.
+
+make[1]: Leaving directory `/home/amckinst/slang-1.4.9'
+(sed 's/@DEBIANUTF8ERRORCHECK@/#ifndef/' < debian/slang.h.extra.in; cat src/slang.h ) > `pwd`/debian/slang1-utf8-dev/usr/include/slang.h
+/bin/sh: line 1: debian/slang.h.extra.in: No such file or directory
+chmod 644 `pwd`/debian/slang1-utf8-dev/usr/include/slang.h
+cp debian/slang1-utf8-dev/usr/lib/libslang.so.1.4.9 \
+			debian/slang1a-utf8-udeb/lib/libslang.so.1-UTF8.4.9
+mv debian/slang1-utf8-dev/usr/lib/libslang.so.1.4.9 \
+			 debian/slang1a-utf8/lib/libslang.so.1-UTF8.4.9
+# The ldconfig symlink to make the library work ASAP.  This is not really required.
+cd debian/slang1a-utf8/lib ; ln -sf libslang.so.1-UTF8.4.9 libslang.so.1-UTF8
+cd debian/slang1a-utf8-udeb/lib ; ln -sf libslang.so.1-UTF8.4.9 libslang.so.1-UTF8
+# Correct the .so link for slang1-utf8-dev library
+cd debian/slang1-utf8-dev/usr/lib ; ln -sf /lib/libslang.so.1-UTF8.4.9 libslang.so
+# Produce the -pic archive for use by the bootfloppies package.
+ar cqv debian/slang1-utf8-pic/usr/lib/libslang_pic.a src/elfobjs/*.o 
+a - src/elfobjs/slang.o
+a - src/elfobjs/slarith.o
+a - src/elfobjs/slarray.o
+a - src/elfobjs/slarrfun.o
+a - src/elfobjs/slarrmis.o
+a - src/elfobjs/slassoc.o
+a - src/elfobjs/slbstr.o
+a - src/elfobjs/slclass.o
+a - src/elfobjs/slcmd.o
+a - src/elfobjs/slcmplex.o
+a - src/elfobjs/slcompat.o
+a - src/elfobjs/slcurses.o
+a - src/elfobjs/sldisply.o
+a - src/elfobjs/slerr.o
+a - src/elfobjs/slerrno.o
+a - src/elfobjs/slgetkey.o
+a - src/elfobjs/slimport.o
+a - src/elfobjs/slintall.o
+a - src/elfobjs/slistruc.o
+a - src/elfobjs/slkeymap.o
+a - src/elfobjs/slkeypad.o
+a - src/elfobjs/slmalloc.o
+a - src/elfobjs/slmath.o
+a - src/elfobjs/slmemchr.o
+a - src/elfobjs/slmemcmp.o
+a - src/elfobjs/slmemcpy.o
+a - src/elfobjs/slmemset.o
+a - src/elfobjs/slmisc.o
+a - src/elfobjs/slnspace.o
+a - src/elfobjs/slospath.o
+a - src/elfobjs/slpack.o
+a - src/elfobjs/slparse.o
+a - src/elfobjs/slpath.o
+a - src/elfobjs/slposdir.o
+a - src/elfobjs/slposio.o
+a - src/elfobjs/slprepr.o
+a - src/elfobjs/slproc.o
+a - src/elfobjs/slregexp.o
+a - src/elfobjs/slrline.o
+a - src/elfobjs/slscanf.o
+a - src/elfobjs/slscroll.o
+a - src/elfobjs/slsearch.o
+a - src/elfobjs/slsignal.o
+a - src/elfobjs/slsmg.o
+a - src/elfobjs/slstd.o
+a - src/elfobjs/slstdio.o
+a - src/elfobjs/slstring.o
+a - src/elfobjs/slstrops.o
+a - src/elfobjs/slstruct.o
+a - src/elfobjs/sltermin.o
+a - src/elfobjs/sltime.o
+a - src/elfobjs/sltoken.o
+a - src/elfobjs/sltypes.o
+a - src/elfobjs/slutty.o
+a - src/elfobjs/slxstrng.o
+dh_testdir -a
+dh_testroot -a
+dh_installdocs -a -Nslang1a-utf8-udeb
+	install -g 0 -o 0 -d debian/slang1-dev/usr/share/doc/slang1-dev
+	cp -a NEWS debian/slang1-dev/usr/share/doc/slang1-dev
+	cp -a README debian/slang1-dev/usr/share/doc/slang1-dev
+	cp -a UPGRADE.txt debian/slang1-dev/usr/share/doc/slang1-dev
+	cp -a changes.txt debian/slang1-dev/usr/share/doc/slang1-dev
+	cp -a doc/text/cref.txt debian/slang1-dev/usr/share/doc/slang1-dev
+	cp -a doc/text/cslang.txt debian/slang1-dev/usr/share/doc/slang1-dev
+	chown -R 0:0 debian/slang1-dev/usr/share/doc
+	chmod -R go=rX debian/slang1-dev/usr/share/doc
+	chmod -R u\+rw debian/slang1-dev/usr/share/doc
+	install -g 0 -o 0 -m 644 -p debian/README.Debian debian/slang1-dev/usr/share/doc/slang1-dev/README.Debian
+	install -g 0 -o 0 -m 644 -p debian/copyright debian/slang1-dev/usr/share/doc/slang1-dev/copyright
+	install -g 0 -o 0 -d debian/slang1/usr/share/doc/slang1
+	cp -a NEWS debian/slang1/usr/share/doc/slang1
+	cp -a README debian/slang1/usr/share/doc/slang1
+	cp -a UPGRADE.txt debian/slang1/usr/share/doc/slang1
+	cp -a doc/text/slang.txt debian/slang1/usr/share/doc/slang1
+	cp -a doc/text/slangfun.txt debian/slang1/usr/share/doc/slang1
+	chown -R 0:0 debian/slang1/usr/share/doc
+	chmod -R go=rX debian/slang1/usr/share/doc
+	chmod -R u\+rw debian/slang1/usr/share/doc
+	install -g 0 -o 0 -m 644 -p debian/copyright debian/slang1/usr/share/doc/slang1/copyright
+	install -g 0 -o 0 -d debian/slang1-pic/usr/share/doc/slang1-pic
+	install -g 0 -o 0 -m 644 -p debian/copyright debian/slang1-pic/usr/share/doc/slang1-pic/copyright
+	install -g 0 -o 0 -d debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev
+	cp -a NEWS debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev
+	cp -a README debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev
+	cp -a UPGRADE.txt debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev
+	cp -a changes.txt debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev
+	cp -a doc/text/cref.txt debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev
+	cp -a doc/text/cslang.txt debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev
+	chown -R 0:0 debian/slang1-utf8-dev/usr/share/doc
+	chmod -R go=rX debian/slang1-utf8-dev/usr/share/doc
+	chmod -R u\+rw debian/slang1-utf8-dev/usr/share/doc
+	install -g 0 -o 0 -m 644 -p debian/copyright debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev/copyright
+	install -g 0 -o 0 -d debian/slang1a-utf8/usr/share/doc/slang1a-utf8
+	cp -a NEWS debian/slang1a-utf8/usr/share/doc/slang1a-utf8
+	cp -a README debian/slang1a-utf8/usr/share/doc/slang1a-utf8
+	cp -a UPGRADE.txt debian/slang1a-utf8/usr/share/doc/slang1a-utf8
+	cp -a doc/text/slang.txt debian/slang1a-utf8/usr/share/doc/slang1a-utf8
+	cp -a doc/text/slangfun.txt debian/slang1a-utf8/usr/share/doc/slang1a-utf8
+	chown -R 0:0 debian/slang1a-utf8/usr/share/doc
+	chmod -R go=rX debian/slang1a-utf8/usr/share/doc
+	chmod -R u\+rw debian/slang1a-utf8/usr/share/doc
+	install -g 0 -o 0 -m 644 -p debian/copyright debian/slang1a-utf8/usr/share/doc/slang1a-utf8/copyright
+	install -g 0 -o 0 -d debian/slang1-utf8-pic/usr/share/doc/slang1-utf8-pic
+	install -g 0 -o 0 -m 644 -p debian/copyright debian/slang1-utf8-pic/usr/share/doc/slang1-utf8-pic/copyright
+dh_installexamples -a -Nslang1a-utf8-udeb
+	install -d debian/slang1-dev/usr/share/doc/slang1-dev/examples
+	cp -a demo debian/slang1-dev/usr/share/doc/slang1-dev/examples
+cd debian/slang1-dev/usr/share/doc/slang1-dev/examples/ ; \
+	mv demo/* . ; \
+	rm -f objs/* ; \
+	rmdir objs demo ; \
+	rm -f *.o* Makefile Makefile.in ; \
+	mv Makefile.simple Makefile ; \
+	rm -f config.status config.log configure configure.in
+dh_installmenu -a -Nslang1a-utf8-udeb
+dh_installcron -a -Nslang1a-utf8-udeb
+dh_installmanpages -a -Nslang1a-utf8-udeb
+dh_installchangelogs -a changes.txt -Nslang1a-utf8-udeb
+	install -o 0 -g 0 -p -m644 debian/changelog debian/slang1-dev/usr/share/doc/slang1-dev/changelog.Debian
+	install -o 0 -g 0 -p -m644 changes.txt debian/slang1-dev/usr/share/doc/slang1-dev/changelog
+	install -o 0 -g 0 -p -m644 debian/changelog debian/slang1/usr/share/doc/slang1/changelog.Debian
+	install -o 0 -g 0 -p -m644 changes.txt debian/slang1/usr/share/doc/slang1/changelog
+	install -o 0 -g 0 -p -m644 debian/changelog debian/slang1-pic/usr/share/doc/slang1-pic/changelog.Debian
+	install -o 0 -g 0 -p -m644 changes.txt debian/slang1-pic/usr/share/doc/slang1-pic/changelog
+	install -o 0 -g 0 -p -m644 debian/changelog debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev/changelog.Debian
+	install -o 0 -g 0 -p -m644 changes.txt debian/slang1-utf8-dev/usr/share/doc/slang1-utf8-dev/changelog
+	install -o 0 -g 0 -p -m644 debian/changelog debian/slang1a-utf8/usr/share/doc/slang1a-utf8/changelog.Debian
+	install -o 0 -g 0 -p -m644 changes.txt debian/slang1a-utf8/usr/share/doc/slang1a-utf8/changelog
+	install -o 0 -g 0 -p -m644 debian/changelog debian/slang1-utf8-pic/usr/share/doc/slang1-utf8-pic/changelog.Debian
+	install -o 0 -g 0 -p -m644 changes.txt debian/slang1-utf8-pic/usr/share/doc/slang1-utf8-pic/changelog
+dh_strip -a
+	strip --strip-debug debian/slang1-dev/usr/lib/libslang.a
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/slang1/lib/libslang.so.1.4.9
+	strip --strip-debug debian/slang1-pic/usr/lib/libslang_pic.a
+	strip --strip-debug debian/slang1-utf8-dev/usr/lib/libslang.a
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/slang1a-utf8/lib/libslang.so.1-UTF8.4.9
+	strip --strip-debug debian/slang1-utf8-pic/usr/lib/libslang_pic.a
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/slang1a-utf8-udeb/lib/libslang.so.1-UTF8.4.9
+dh_compress -a
+	cd debian/slang1-dev
+	chmod a-x usr/share/doc/slang1-dev/NEWS usr/share/doc/slang1-dev/UPGRADE.txt usr/share/doc/slang1-dev/changes.txt usr/share/doc/slang1-dev/cref.txt usr/share/doc/slang1-dev/cslang.txt usr/share/doc/slang1-dev/examples/pager.c usr/share/doc/slang1-dev/examples/smgtest.c usr/share/doc/slang1-dev/changelog.Debian usr/share/doc/slang1-dev/changelog
+	gzip -9f usr/share/doc/slang1-dev/NEWS usr/share/doc/slang1-dev/UPGRADE.txt usr/share/doc/slang1-dev/changes.txt usr/share/doc/slang1-dev/cref.txt usr/share/doc/slang1-dev/cslang.txt usr/share/doc/slang1-dev/examples/pager.c usr/share/doc/slang1-dev/examples/smgtest.c usr/share/doc/slang1-dev/changelog.Debian usr/share/doc/slang1-dev/changelog
+	cd '/home/amckinst/slang-1.4.9'
+	cd debian/slang1
+	chmod a-x usr/share/doc/slang1/NEWS usr/share/doc/slang1/UPGRADE.txt usr/share/doc/slang1/slang.txt usr/share/doc/slang1/slangfun.txt usr/share/doc/slang1/changelog.Debian usr/share/doc/slang1/changelog
+	gzip -9f usr/share/doc/slang1/NEWS usr/share/doc/slang1/UPGRADE.txt usr/share/doc/slang1/slang.txt usr/share/doc/slang1/slangfun.txt usr/share/doc/slang1/changelog.Debian usr/share/doc/slang1/changelog
+	cd '/home/amckinst/slang-1.4.9'
+	cd debian/slang1-pic
+	chmod a-x usr/share/doc/slang1-pic/changelog.Debian usr/share/doc/slang1-pic/changelog
+	gzip -9f usr/share/doc/slang1-pic/changelog.Debian usr/share/doc/slang1-pic/changelog
+	cd '/home/amckinst/slang-1.4.9'
+	cd debian/slang1-utf8-dev
+	chmod a-x usr/share/doc/slang1-utf8-dev/NEWS usr/share/doc/slang1-utf8-dev/UPGRADE.txt usr/share/doc/slang1-utf8-dev/changes.txt usr/share/doc/slang1-utf8-dev/cref.txt usr/share/doc/slang1-utf8-dev/cslang.txt usr/share/doc/slang1-utf8-dev/changelog.Debian usr/share/doc/slang1-utf8-dev/changelog
+	gzip -9f usr/share/doc/slang1-utf8-dev/NEWS usr/share/doc/slang1-utf8-dev/UPGRADE.txt usr/share/doc/slang1-utf8-dev/changes.txt usr/share/doc/slang1-utf8-dev/cref.txt usr/share/doc/slang1-utf8-dev/cslang.txt usr/share/doc/slang1-utf8-dev/changelog.Debian usr/share/doc/slang1-utf8-dev/changelog
+	cd '/home/amckinst/slang-1.4.9'
+	cd debian/slang1a-utf8
+	chmod a-x usr/share/doc/slang1a-utf8/NEWS usr/share/doc/slang1a-utf8/UPGRADE.txt usr/share/doc/slang1a-utf8/slang.txt usr/share/doc/slang1a-utf8/slangfun.txt usr/share/doc/slang1a-utf8/changelog.Debian usr/share/doc/slang1a-utf8/changelog
+	gzip -9f usr/share/doc/slang1a-utf8/NEWS usr/share/doc/slang1a-utf8/UPGRADE.txt usr/share/doc/slang1a-utf8/slang.txt usr/share/doc/slang1a-utf8/slangfun.txt usr/share/doc/slang1a-utf8/changelog.Debian usr/share/doc/slang1a-utf8/changelog
+	cd '/home/amckinst/slang-1.4.9'
+	cd debian/slang1-utf8-pic
+	chmod a-x usr/share/doc/slang1-utf8-pic/changelog.Debian usr/share/doc/slang1-utf8-pic/changelog
+	gzip -9f usr/share/doc/slang1-utf8-pic/changelog.Debian usr/share/doc/slang1-utf8-pic/changelog
+	cd '/home/amckinst/slang-1.4.9'
+	cd debian/slang1a-utf8-udeb
+	cd '/home/amckinst/slang-1.4.9'
+gunzip debian/slang1-dev/usr/share/doc/slang1-dev/examples/*.gz
+cp -r debian/slang1-dev/usr/share/doc/slang1-dev/examples \
+	debian/slang1-utf8-dev/usr/share/doc/slang1-dev
+dh_fixperms -a
+	find debian/slang1-dev  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
+	find debian/slang1-dev ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
+	find debian/slang1-dev/usr/share/doc -type f  ! -regex 'debian/slang1-dev/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-dev/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
+	find debian/slang1-dev/usr/share/man debian/slang1-dev/usr/man/ debian/slang1-dev/usr/X11*/man/ -type f  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-dev -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-dev/usr/lib/perl5 debian/slang1-dev/usr/share/perl5 -type f -perm -5 -name '*.pm'  -print0 2>/dev/null | xargs -0r chmod a-X
+	find debian/slang1  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
+	find debian/slang1 ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
+	find debian/slang1/usr/share/doc -type f  ! -regex 'debian/slang1/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
+	find debian/slang1/usr/share/man debian/slang1/usr/man/ debian/slang1/usr/X11*/man/ -type f  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1 -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1/usr/lib/perl5 debian/slang1/usr/share/perl5 -type f -perm -5 -name '*.pm'  -print0 2>/dev/null | xargs -0r chmod a-X
+	find debian/slang1-pic  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
+	find debian/slang1-pic ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
+	find debian/slang1-pic/usr/share/doc -type f  ! -regex 'debian/slang1-pic/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-pic/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
+	find debian/slang1-pic/usr/share/man debian/slang1-pic/usr/man/ debian/slang1-pic/usr/X11*/man/ -type f  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-pic -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-pic/usr/lib/perl5 debian/slang1-pic/usr/share/perl5 -type f -perm -5 -name '*.pm'  -print0 2>/dev/null | xargs -0r chmod a-X
+	find debian/slang1-utf8-dev  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
+	find debian/slang1-utf8-dev ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
+	find debian/slang1-utf8-dev/usr/share/doc -type f  ! -regex 'debian/slang1-utf8-dev/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-utf8-dev/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
+	find debian/slang1-utf8-dev/usr/share/man debian/slang1-utf8-dev/usr/man/ debian/slang1-utf8-dev/usr/X11*/man/ -type f  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-utf8-dev -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-utf8-dev/usr/lib/perl5 debian/slang1-utf8-dev/usr/share/perl5 -type f -perm -5 -name '*.pm'  -print0 2>/dev/null | xargs -0r chmod a-X
+	find debian/slang1a-utf8  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
+	find debian/slang1a-utf8 ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
+	find debian/slang1a-utf8/usr/share/doc -type f  ! -regex 'debian/slang1a-utf8/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1a-utf8/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
+	find debian/slang1a-utf8/usr/share/man debian/slang1a-utf8/usr/man/ debian/slang1a-utf8/usr/X11*/man/ -type f  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1a-utf8 -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1a-utf8/usr/lib/perl5 debian/slang1a-utf8/usr/share/perl5 -type f -perm -5 -name '*.pm'  -print0 2>/dev/null | xargs -0r chmod a-X
+	find debian/slang1-utf8-pic  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
+	find debian/slang1-utf8-pic ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
+	find debian/slang1-utf8-pic/usr/share/doc -type f  ! -regex 'debian/slang1-utf8-pic/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-utf8-pic/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
+	find debian/slang1-utf8-pic/usr/share/man debian/slang1-utf8-pic/usr/man/ debian/slang1-utf8-pic/usr/X11*/man/ -type f  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-utf8-pic -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1-utf8-pic/usr/lib/perl5 debian/slang1-utf8-pic/usr/share/perl5 -type f -perm -5 -name '*.pm'  -print0 2>/dev/null | xargs -0r chmod a-X
+	find debian/slang1a-utf8-udeb  -print0 2>/dev/null | xargs -0r chown --no-dereference 0:0
+	find debian/slang1a-utf8-udeb ! -type l  -print0 2>/dev/null | xargs -0r chmod go=rX,u+rw,a-s
+	find debian/slang1a-utf8-udeb/usr/share/doc -type f  ! -regex 'debian/slang1a-utf8-udeb/usr/share/doc/[^/]*/examples/.*' -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1a-utf8-udeb/usr/share/doc -type d  -print0 2>/dev/null | xargs -0r chmod 755
+	find debian/slang1a-utf8-udeb/usr/share/man debian/slang1a-utf8-udeb/usr/man/ debian/slang1a-utf8-udeb/usr/X11*/man/ -type f  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1a-utf8-udeb -perm -5 -type f \( -name '*.so*' -or -name '*.la' -or -name '*.a' \)  -print0 2>/dev/null | xargs -0r chmod 644
+	find debian/slang1a-utf8-udeb/usr/lib/perl5 debian/slang1a-utf8-udeb/usr/share/perl5 -type f -perm -5 -name '*.pm'  -print0 2>/dev/null | xargs -0r chmod a-X
+dh_makeshlibs -pslang1 -V "slang1 (>> 1.4.4-7.1)"
+	rm -f debian/slang1/DEBIAN/shlibs
+	install -d debian/slang1/DEBIAN
+	echo 'libslang 1 slang1 (>> 1.4.4-7.1)' >>debian/slang1/DEBIAN/shlibs
+	echo "# Automatically added by dh_makeshlibs">> debian/slang1.postinst.debhelper
+	sed "" /usr/share/debhelper/autoscripts/postinst-makeshlibs >> debian/slang1.postinst.debhelper
+	echo '# End automatically added section' >> debian/slang1.postinst.debhelper
+	echo "# Automatically added by dh_makeshlibs">> debian/slang1.postrm.debhelper
+	sed "" /usr/share/debhelper/autoscripts/postrm-makeshlibs >> debian/slang1.postrm.debhelper
+	echo '# End automatically added section' >> debian/slang1.postrm.debhelper
+	chmod 644 debian/slang1/DEBIAN/shlibs
+	chown 0:0 debian/slang1/DEBIAN/shlibs
+dh_makeshlibs -pslang1a-utf8 -V "slang1a-utf8 (>> 1.4.4-7.1)"
+	rm -f debian/slang1a-utf8/DEBIAN/shlibs
+	install -d debian/slang1a-utf8/DEBIAN
+	echo 'libslang 1-UTF8 slang1a-utf8 (>> 1.4.4-7.1)' >>debian/slang1a-utf8/DEBIAN/shlibs
+	echo "# Automatically added by dh_makeshlibs">> debian/slang1a-utf8.postinst.debhelper
+	sed "" /usr/share/debhelper/autoscripts/postinst-makeshlibs >> debian/slang1a-utf8.postinst.debhelper
+	echo '# End automatically added section' >> debian/slang1a-utf8.postinst.debhelper
+	echo "# Automatically added by dh_makeshlibs">> debian/slang1a-utf8.postrm.debhelper
+	sed "" /usr/share/debhelper/autoscripts/postrm-makeshlibs >> debian/slang1a-utf8.postrm.debhelper
+	echo '# End automatically added section' >> debian/slang1a-utf8.postrm.debhelper
+	chmod 644 debian/slang1a-utf8/DEBIAN/shlibs
+	chown 0:0 debian/slang1a-utf8/DEBIAN/shlibs
+dh_installdeb -a
+	install -o 0 -g 0 -d debian/slang1-dev/DEBIAN
+	perl -pe 's~#DEBHELPER#~qx{cat debian/slang1.postinst.debhelper}~eg' < debian/slang1.postinst > debian/slang1/DEBIAN/postinst
+	chown 0:0 debian/slang1/DEBIAN/postinst
+	chmod 755 debian/slang1/DEBIAN/postinst
+	perl -pe 's~#DEBHELPER#~qx{cat debian/slang1.postrm.debhelper}~eg' < debian/slang1.postrm > debian/slang1/DEBIAN/postrm
+	chown 0:0 debian/slang1/DEBIAN/postrm
+	chmod 755 debian/slang1/DEBIAN/postrm
+	install -o 0 -g 0 -d debian/slang1-pic/DEBIAN
+	install -o 0 -g 0 -d debian/slang1-utf8-dev/DEBIAN
+	perl -pe 's~#DEBHELPER#~qx{cat debian/slang1a-utf8.postinst.debhelper}~eg' < debian/slang1a-utf8.postinst > debian/slang1a-utf8/DEBIAN/postinst
+	chown 0:0 debian/slang1a-utf8/DEBIAN/postinst
+	chmod 755 debian/slang1a-utf8/DEBIAN/postinst
+	sed s/#DEBHELPER#// < debian/slang1a-utf8.preinst > debian/slang1a-utf8/DEBIAN/preinst
+	chown 0:0 debian/slang1a-utf8/DEBIAN/preinst
+	chmod 755 debian/slang1a-utf8/DEBIAN/preinst
+	perl -pe 's~#DEBHELPER#~qx{cat debian/slang1a-utf8.postrm.debhelper}~eg' < debian/slang1a-utf8.postrm > debian/slang1a-utf8/DEBIAN/postrm
+	chown 0:0 debian/slang1a-utf8/DEBIAN/postrm
+	chmod 755 debian/slang1a-utf8/DEBIAN/postrm
+	install -o 0 -g 0 -d debian/slang1-utf8-pic/DEBIAN
+	install -o 0 -g 0 -d debian/slang1a-utf8-udeb/DEBIAN
+dh_shlibdeps -a
+	dpkg-shlibdeps -Tdebian/slang1.substvars debian/slang1/lib/libslang.so.1.4.9
+	dpkg-shlibdeps -Tdebian/slang1a-utf8.substvars debian/slang1a-utf8/lib/libslang.so.1-UTF8.4.9
+	dpkg-shlibdeps -Tdebian/slang1a-utf8-udeb.substvars debian/slang1a-utf8-udeb/lib/libslang.so.1-UTF8.4.9
+dh_gencontrol -a -Nslang1a-utf8-udeb
+	dpkg-gencontrol -pslang1-dev -ldebian/changelog -isp -Tdebian/slang1-dev.substvars -Pdebian/slang1-dev
+	chmod 644 debian/slang1-dev/DEBIAN/control
+	chown 0:0 debian/slang1-dev/DEBIAN/control
+	dpkg-gencontrol -pslang1 -ldebian/changelog -isp -Tdebian/slang1.substvars -Pdebian/slang1
+	chmod 644 debian/slang1/DEBIAN/control
+	chown 0:0 debian/slang1/DEBIAN/control
+	dpkg-gencontrol -pslang1-pic -ldebian/changelog -isp -Tdebian/slang1-pic.substvars -Pdebian/slang1-pic
+	chmod 644 debian/slang1-pic/DEBIAN/control
+	chown 0:0 debian/slang1-pic/DEBIAN/control
+	dpkg-gencontrol -pslang1-utf8-dev -ldebian/changelog -isp -Tdebian/slang1-utf8-dev.substvars -Pdebian/slang1-utf8-dev
+	chmod 644 debian/slang1-utf8-dev/DEBIAN/control
+	chown 0:0 debian/slang1-utf8-dev/DEBIAN/control
+	dpkg-gencontrol -pslang1a-utf8 -ldebian/changelog -isp -Tdebian/slang1a-utf8.substvars -Pdebian/slang1a-utf8
+	chmod 644 debian/slang1a-utf8/DEBIAN/control
+	chown 0:0 debian/slang1a-utf8/DEBIAN/control
+	dpkg-gencontrol -pslang1-utf8-pic -ldebian/changelog -isp -Tdebian/slang1-utf8-pic.substvars -Pdebian/slang1-utf8-pic
+	chmod 644 debian/slang1-utf8-pic/DEBIAN/control
+	chown 0:0 debian/slang1-utf8-pic/DEBIAN/control
+dh_md5sums -a -Nslang1a-utf8-udeb
+	cd debian/slang1-dev >/dev/null ; find . -type f  ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums ; cd '/home/amckinst/slang-1.4.9' >/dev/null
+	chmod 644 debian/slang1-dev/DEBIAN/md5sums
+	chown 0:0 debian/slang1-dev/DEBIAN/md5sums
+	cd debian/slang1 >/dev/null ; find . -type f  ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums ; cd '/home/amckinst/slang-1.4.9' >/dev/null
+	chmod 644 debian/slang1/DEBIAN/md5sums
+	chown 0:0 debian/slang1/DEBIAN/md5sums
+	cd debian/slang1-pic >/dev/null ; find . -type f  ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums ; cd '/home/amckinst/slang-1.4.9' >/dev/null
+	chmod 644 debian/slang1-pic/DEBIAN/md5sums
+	chown 0:0 debian/slang1-pic/DEBIAN/md5sums
+	cd debian/slang1-utf8-dev >/dev/null ; find . -type f  ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums ; cd '/home/amckinst/slang-1.4.9' >/dev/null
+	chmod 644 debian/slang1-utf8-dev/DEBIAN/md5sums
+	chown 0:0 debian/slang1-utf8-dev/DEBIAN/md5sums
+	cd debian/slang1a-utf8 >/dev/null ; find . -type f  ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums ; cd '/home/amckinst/slang-1.4.9' >/dev/null
+	chmod 644 debian/slang1a-utf8/DEBIAN/md5sums
+	chown 0:0 debian/slang1a-utf8/DEBIAN/md5sums
+	cd debian/slang1-utf8-pic >/dev/null ; find . -type f  ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums ; cd '/home/amckinst/slang-1.4.9' >/dev/null
+	chmod 644 debian/slang1-utf8-pic/DEBIAN/md5sums
+	chown 0:0 debian/slang1-utf8-pic/DEBIAN/md5sums
+dh_builddeb -a -Nslang1a-utf8-udeb
+	dpkg-deb --build debian/slang1-dev ..
+dpkg-deb: building package `slang1-dev' in `../slang1-dev_1.4.9-1_i386.deb'.
+	dpkg-deb --build debian/slang1 ..
+dpkg-deb: building package `slang1' in `../slang1_1.4.9-1_i386.deb'.
+	dpkg-deb --build debian/slang1-pic ..
+dpkg-deb: building package `slang1-pic' in `../slang1-pic_1.4.9-1_i386.deb'.
+	dpkg-deb --build debian/slang1-utf8-dev ..
+dpkg-deb: building package `slang1-utf8-dev' in `../slang1-utf8-dev_1.4.9-1_i386.deb'.
+	dpkg-deb --build debian/slang1a-utf8 ..
+dpkg-deb: building package `slang1a-utf8' in `../slang1a-utf8_1.4.9-1_i386.deb'.
+	dpkg-deb --build debian/slang1-utf8-pic ..
+dpkg-deb: building package `slang1-utf8-pic' in `../slang1-utf8-pic_1.4.9-1_i386.deb'.
+# don't know how to do shlibdeps
+# dh_shlibdeps
+dh_gencontrol -a -pslang1a-utf8-udeb -- -fdebian/files~
+	dpkg-gencontrol -pslang1-dev -ldebian/changelog -isp -Tdebian/slang1-dev.substvars -Pdebian/slang1-dev -fdebian/files\~
+	chmod 644 debian/slang1-dev/DEBIAN/control
+	chown 0:0 debian/slang1-dev/DEBIAN/control
+	dpkg-gencontrol -pslang1 -ldebian/changelog -isp -Tdebian/slang1.substvars -Pdebian/slang1 -fdebian/files\~
+	chmod 644 debian/slang1/DEBIAN/control
+	chown 0:0 debian/slang1/DEBIAN/control
+	dpkg-gencontrol -pslang1-pic -ldebian/changelog -isp -Tdebian/slang1-pic.substvars -Pdebian/slang1-pic -fdebian/files\~
+	chmod 644 debian/slang1-pic/DEBIAN/control
+	chown 0:0 debian/slang1-pic/DEBIAN/control
+	dpkg-gencontrol -pslang1-utf8-dev -ldebian/changelog -isp -Tdebian/slang1-utf8-dev.substvars -Pdebian/slang1-utf8-dev -fdebian/files\~
+	chmod 644 debian/slang1-utf8-dev/DEBIAN/control
+	chown 0:0 debian/slang1-utf8-dev/DEBIAN/control
+	dpkg-gencontrol -pslang1a-utf8 -ldebian/changelog -isp -Tdebian/slang1a-utf8.substvars -Pdebian/slang1a-utf8 -fdebian/files\~
+	chmod 644 debian/slang1a-utf8/DEBIAN/control
+	chown 0:0 debian/slang1a-utf8/DEBIAN/control
+	dpkg-gencontrol -pslang1-utf8-pic -ldebian/changelog -isp -Tdebian/slang1-utf8-pic.substvars -Pdebian/slang1-utf8-pic -fdebian/files\~
+	chmod 644 debian/slang1-utf8-pic/DEBIAN/control
+	chown 0:0 debian/slang1-utf8-pic/DEBIAN/control
+	dpkg-gencontrol -pslang1a-utf8-udeb -ldebian/changelog -isp -Tdebian/slang1a-utf8-udeb.substvars -Pdebian/slang1a-utf8-udeb -fdebian/files\~
+	chmod 644 debian/slang1a-utf8-udeb/DEBIAN/control
+	chown 0:0 debian/slang1a-utf8-udeb/DEBIAN/control
+dpkg-distaddfile slang1a-utf8-udeb_1.4.9-1_i386.udeb debian-installer extra
+dh_builddeb -pslang1a-utf8-udeb --filename=slang1a-utf8-udeb_1.4.9-1_i386.udeb
+	dpkg-deb --build debian/slang1a-utf8-udeb ../slang1a-utf8-udeb_1.4.9-1_i386.udeb
+dpkg-deb: building package `slang1a-utf8-udeb' in `../slang1a-utf8-udeb_1.4.9-1_i386.udeb'.
+ dpkg-genchanges
+dpkg-genchanges: including full source code in upload
+dpkg-buildpackage: full upload (original source is included)
+Now running lintian...
+warning: lintian's authors do not recommend running it with root privileges!
+W: slang source: newer-standards-version 3.6.1
+Finished running lintian.
